#!/usr/bin/env bash
set -feu -o pipefail

# /hysop should be mounted as read only by run_tests_in_docker.sh
if [[ ! -d '/hysop' ]]; then
    echo "This script should not be called from host, but from within a docker image."
    echo " => /hysop has not been mounted (see hysop/ci/utils/run_debug.sh)."
    exit 1
fi

CC=gcc
CXX=g++
FC=gfortran

HYSOP_DIR='/tmp/hysop'

cp -r /hysop "${HYSOP_DIR}"
rm -rf "${HYSOP_DIR}/build"

cd "${HYSOP_DIR}"
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Debug ..
make -j8
make install
cd -
rm -rf build

#apt-get update
#apt-get install -y gdb python3.8-dbg

bash
