#!/bin/bash
set -feu -o pipefail

if [ $# -ne 5 ]; then
    echo "Usage ./config build_folder install_folder CC CXX FC"
    exit 1
fi

if [ -d "$1" ]; then
    echo "Folder $1 already exists."
    exit 1
fi

if [ -d "$2" ]; then
    echo "Folder $2 already exists."
    exit 1
fi

ROOT_DIR="$(pwd)"
BUILD_DIR="$1"
INSTALL_DIR="$2"

mkdir -p "${BUILD_DIR}"
cd "${BUILD_DIR}"
CC="$3" CXX="$4" FC="$5" cmake -DCMAKE_BUILD_TYPE=Release -DVERBOSE=OFF -DWITH_SCALES=ON -DPYTHON_EXECUTABLE="$(which python3.8)" -DHYSOP_INSTALL="${INSTALL_DIR}" -DFIND_FFTW_STATIC_ONLY=ON -DFIND_FFTW_VERBOSE=ON "${ROOT_DIR}"

if [ ! -f Makefile ]; then
    echo "The makefile has not been generated."
    exit 1
fi

exit 0
