#!/bin/bash
set -feu -o pipefail

PYTHON_EXECUTABLE=${PYTHON_EXECUTABLE:-"$(which python3.8)"}

if [ $# -ne 2 ]; then
    echo "Usage ./install build_folder install_folder"
    exit 1
fi

if [ ! -d "$1" ]; then
    echo "Build folder $1 does not exist."
    exit 1
fi 

if [ -d "$2" ]; then
    echo "Install folder $2 already exists."
    exit 1
fi 

BUILD_FOLDER="$1"
INSTALL_FOLDER="$2"

cd "${BUILD_FOLDER}"
make install

if [ ! -d "${INSTALL_FOLDER}/lib/python3.8/site-packages/hysop" ]; then
    echo "${INSTALL_FOLDER}/lib/python3.8/site-packages/hysop was not created."
    exit 1
fi

export PYTHONPATH="${INSTALL_FOLDER}/lib/python3.8/site-packages"
"${PYTHON_EXECUTABLE}" -c 'import hysop; print(hysop)'

exit 0
