#!/usr/bin/env bash
set -feu -o pipefail
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
UBUNTU_RELEASE=${1:-groovy}
DOCKER_IMG="keckj/hysop:${UBUNTU_RELEASE}"
CONTAINER_ID='hysop_build_and_debug'

function remove_img() {
    docker stop "${CONTAINER_ID}" || true
    docker rm "${CONTAINER_ID}" || true
} 
trap remove_img INT TERM EXIT KILL

remove_img

#docker logout
#docker pull "${DOCKER_IMG}"
docker create -v "${SCRIPT_DIR}/../..:/hysop:ro" --name="${CONTAINER_ID}" -it "${DOCKER_IMG}"
docker start "${CONTAINER_ID}"
docker exec -it "${CONTAINER_ID}" /hysop/ci/scripts/build_and_debug.sh
