
from hysop.backend.device.codegen.base.codegen          import CodeGenerator
from hysop.backend.device.codegen.base.function_codegen import FunctionCodeGenerator
from hysop.backend.device.codegen.base.variables import CodegenVariable
from hysop.backend.device.opencl.opencl_types     import TypeGen
from hysop.backend.device.codegen.base.utils     import ArgDict

class EmptyFunction(FunctionCodeGenerator):
    
    def __init__(self,typegen):
        args = ArgDict()
        args['size'] = CodegenVariable('size','unsigned int',add_impl_const=True,typegen=typegen)
        args['data'] = CodegenVariable(typegen.fbtype,'data',ptr=True,const=True,typegen=typegen)
        fname = 'empty_function'
        name = '{}_{}'.format(fname,typegen.fbtype[0])
        super(EmptyFunction,self).__init__(basename=fname,ext='.c', output='void',args=args,typegen=typegen)
        self.gencode()

    def gencode(self):
        s = self
        with s._function_():
            s._noop();

           
if __name__ == '__main__':
    cg = CodeGenerator('main',TypeGen('float'))

    h = EmptyFunction(TypeGen('half'))
    f = EmptyFunction(TypeGen('float'))
    d = EmptyFunction(TypeGen('double'))
    cg.require(h.name,h)
    cg.require(f.name,f)
    cg.require(d.name,d)

    cg.edit()



