"""
Device informations.

Keys are
    bw:   Global Memory Bandwidth in GB/s
    fp16: Peak half-precision   floating point operations per second in GFLOPs
    fp32: Peak single-precision floating point operations per second in GFLOPs
    fp64: Peak double-precision floating point operations per second in GFLOPs
"""

device_info =  {
    "all-in-wonder hd": {
        "bw": 19.01, 
        "fp32": 173.3
    }, 
    "aubrey isle": {
        "bw": 307.2, 
        "fp32": 76.8
    }, 
    "c1060 gpu computing module": {
        "bw": 102.4, 
        "fp32": 933.12, 
        "fp64": 77.76
    }, 
    "c2050 gpu computing module": {
        "bw": 144.0, 
        "fp32": 1030.4, 
        "fp64": 515.2
    }, 
    "c2070 gpu computing module": {
        "bw": 144.0, 
        "fp32": 1030.4, 
        "fp64": 515.2
    }, 
    "c2075 gpu computing module": {
        "bw": 144.0, 
        "fp32": 1030.4, 
        "fp64": 515.2
    }, 
    "c870 gpu computing module": {
        "bw": 76.8, 
        "fp32": 518.4
    }, 
    "d870 deskside computer": {
        "bw": 2.0, 
        "fp32": 1036.8
    }, 
    "durango": {
        "bw": 68.3, 
        "fp32": 1310.2
    }, 
    "firegl v3600": {
        "bw": 16.0, 
        "fp32": 144.0
    }, 
    "firegl v5600": {
        "bw": 35.2, 
        "fp32": 192.0
    }, 
    "firegl v7600": {
        "bw": 51.2, 
        "fp32": 288.0
    }, 
    "firegl v7700": {
        "bw": 72.06, 
        "fp32": 497.3
    }, 
    "firegl v8600": {
        "bw": 111.1, 
        "fp32": 440.32
    }, 
    "firegl v8650": {
        "bw": 111.1, 
        "fp32": 440.32
    }, 
    "firemv 2260": {
        "bw": 32.0, 
        "fp32": 48.0
    }, 
    "firemv 2260 pcie x1": {
        "bw": 32.0, 
        "fp32": 40.0
    }, 
    "firepro 2260 pci": {
        "bw": 32.0, 
        "fp32": 40.0
    }, 
    "firepro 2270": {
        "bw": 9.6, 
        "fp32": 96.0
    }, 
    "firepro 2270 1gb edition": {
        "bw": 9.6, 
        "fp32": 96.0
    }, 
    "firepro 2450 multi-view": {
        "bw": 38.4, 
        "fp32": 96.0
    }, 
    "firepro 2450 multi-view pcie x1": {
        "bw": 38.4, 
        "fp32": 96.0
    }, 
    "firepro 2460 multi-view": {
        "bw": 32.0, 
        "fp32": 80.0
    }, 
    "firepro 3d v3700": {
        "bw": 15.2, 
        "fp32": 64.0
    }, 
    "firepro 3d v3750": {
        "bw": 24.0, 
        "fp32": 352.0
    }, 
    "firepro 3d v3800,": {
        "bw": 14.4, 
        "fp32": 520.0
    }, 
    "firepro 3d v4800,": {
        "bw": 57.6, 
        "fp32": 620.0
    }, 
    "firepro 3d v5700": {
        "bw": 28.8, 
        "fp32": 448.0
    }, 
    "firepro 3d v5800,": {
        "bw": 64.0, 
        "fp32": 1120.0
    }, 
    "firepro 3d v7750": {
        "bw": 28.8, 
        "fp32": 512.0
    }, 
    "firepro 3d v7800,": {
        "bw": 128.0, 
        "fp32": 2016.0, 
        "fp64": 403.2
    }, 
    "firepro 3d v8700": {
        "bw": 108.8, 
        "fp32": 1200.0, 
        "fp64": 240.0
    }, 
    "firepro 3d v8750": {
        "bw": 115.2, 
        "fp32": 1200.0, 
        "fp64": 240.0
    }, 
    "firepro 3d v8800": {
        "bw": 147.2, 
        "fp32": 2640.0, 
        "fp64": 528.0
    }, 
    "firepro 3d v9800": {
        "bw": 147.2, 
        "fp32": 2720.0, 
        "fp64": 544.0
    }, 
    "firepro m2000": {
        "bw": 25.6, 
        "fp32": 480.0
    }, 
    "firepro m3100": {
        "bw": 32.0, 
        "fp32": 537.6
    }, 
    "firepro m3900": {
        "bw": 14.4, 
        "fp32": 240.0
    }, 
    "firepro m4000": {
        "bw": 64.0, 
        "fp32": 691.2, 
        "fp64": 60.0
    }, 
    "firepro m4100": {
        "bw": 64.0, 
        "fp32": 514.6, 
        "fp64": 32.0
    }, 
    "firepro m5100": {
        "bw": 72.0, 
        "fp32": 992.0, 
        "fp64": 62.0
    }, 
    "firepro m5725": {
        "bw": 25.6, 
        "fp32": 432.0
    }, 
    "firepro m5800": {
        "bw": 51.2, 
        "fp32": 520.0
    }, 
    "firepro m5950": {
        "bw": 57.6, 
        "fp32": 696.0
    }, 
    "firepro m6000": {
        "bw": 64.0, 
        "fp32": 960.0, 
        "fp64": 80.0
    }, 
    "firepro m6100": {
        "bw": 88.0, 
        "fp32": 1651.2
    }, 
    "firepro m7740": {
        "bw": 64.0, 
        "fp32": 832.0
    }, 
    "firepro m7820": {
        "bw": 64.0, 
        "fp32": 1120.0
    }, 
    "firepro m8900": {
        "bw": 115.2, 
        "fp32": 1310.0
    }, 
    "firepro r5000": {
        "bw": 102.4, 
        "fp32": 1267.2, 
        "fp64": 79.2
    }, 
    "firepro rg220": {
        "bw": 51.2, 
        "fp32": 80.0
    }, 
    "firepro rg220a": {
        "bw": 51.2, 
        "fp32": 80.0
    }, 
    "firepro s10000": {
        "bw": 240.0, 
        "fp32": 5913.6, 
        "fp64": 1478.4
    }, 
    "firepro s10000 passive": {
        "bw": 240.0, 
        "fp32": 5913.6, 
        "fp64": 1478.4
    }, 
    "firepro s4000x": {
        "bw": 72.0, 
        "fp32": 992.0, 
        "fp64": 62.0
    }, 
    "firepro s7000": {
        "bw": 153.6, 
        "fp32": 2432.0, 
        "fp64": 152.0
    }, 
    "firepro s7100x": {
        "bw": 160.0, 
        "fp32": 2961.0
    }, 
    "firepro s7150": {
        "bw": 160.0, 
        "fp32": 3763.0, 
        "fp64": 250.0
    }, 
    "firepro s7150 x2": {
        "bw": 160.0, 
        "fp32": 7540.0, 
        "fp64": 500.0
    }, 
    "firepro s9000": {
        "bw": 264.0, 
        "fp32": 3225.6, 
        "fp64": 806.4
    }, 
    "firepro s9050": {
        "bw": 264.0, 
        "fp32": 3225.6, 
        "fp64": 806.4
    }, 
    "firepro s9150": {
        "bw": 320.0, 
        "fp32": 5070.0, 
        "fp64": 2530.0
    }, 
    "firepro s9170": {
        "bw": 320.0, 
        "fp32": 5240.0, 
        "fp64": 2620.0
    }, 
    "firepro s9300 x2": {
        "bw": 512.0, 
        "fp32": 13900.0, 
        "fp64": 868.0
    }, 
    "firepro v3700": {
        "bw": 15.2, 
        "fp32": 64.0
    }, 
    "firepro v3750": {
        "bw": 22.4, 
        "fp32": 352.0
    }, 
    "firepro v3800": {
        "bw": 14.4, 
        "fp32": 520.0
    }, 
    "firepro v3900": {
        "bw": 28.8, 
        "fp32": 624.0
    }, 
    "firepro v4800": {
        "bw": 57.6, 
        "fp32": 620.0
    }, 
    "firepro v4900": {
        "bw": 64.0, 
        "fp32": 768.0
    }, 
    "firepro v5700": {
        "bw": 28.8, 
        "fp32": 448.0
    }, 
    "firepro v5900": {
        "bw": 128.0, 
        "fp32": 614.4, 
        "fp64": 154.0
    }, 
    "firepro v7750": {
        "bw": 28.8, 
        "fp32": 512.0
    }, 
    "firepro v7900": {
        "bw": 160.0, 
        "fp32": 1860.0, 
        "fp64": 464.0
    }, 
    "firepro w2100": {
        "bw": 28.8, 
        "fp32": 435.2, 
        "fp64": 25.5
    }, 
    "firepro w4100": {
        "bw": 72.0, 
        "fp32": 645.1, 
        "fp64": 40.3
    }, 
    "firepro w4130m": {
        "bw": 64.0, 
        "fp32": 633.6
    }, 
    "firepro w4150m": {
        "bw": 64.0, 
        "fp32": 652.8
    }, 
    "firepro w4170m": {
        "bw": 72.0, 
        "fp32": 691.2, 
        "fp64": 43.2
    }, 
    "firepro w4190m": {
        "bw": 72.0, 
        "fp32": 691.2
    }, 
    "firepro w4300": {
        "bw": 96.0, 
        "fp32": 1428.5, 
        "fp64": 89.3
    }, 
    "firepro w5000": {
        "bw": 102.4, 
        "fp32": 1267.2, 
        "fp64": 79.2
    }, 
    "firepro w5100": {
        "bw": 96.0, 
        "fp32": 1430.0, 
        "fp64": 89.2
    }, 
    "firepro w5130m": {
        "bw": 64.0, 
        "fp32": 950.0, 
        "fp64": 59.4
    }, 
    "firepro w5170m": {
        "bw": 72.0, 
        "fp32": 1180.0, 
        "fp64": 73.8
    }, 
    "firepro w600": {
        "bw": 64.0, 
        "fp32": 768.0, 
        "fp64": 55.0
    }, 
    "firepro w6150m": {
        "bw": 88.0, 
        "fp32": 1651.0
    }, 
    "firepro w6170m": {
        "bw": 88.0, 
        "fp32": 1651.0
    }, 
    "firepro w7000": {
        "bw": 153.6, 
        "fp32": 2432.0, 
        "fp64": 152.0
    }, 
    "firepro w7100": {
        "bw": 160.0, 
        "fp32": 3297.0, 
        "fp64": 206.0
    }, 
    "firepro w7170m": {
        "bw": 160.0, 
        "fp32": 2960.0, 
        "fp64": 185.0
    }, 
    "firepro w8000": {
        "bw": 176.0, 
        "fp32": 3225.6, 
        "fp64": 806.4
    }, 
    "firepro w8100": {
        "bw": 320.0, 
        "fp32": 4218.9, 
        "fp64": 2109.45
    }, 
    "firepro w9000": {
        "bw": 264.0, 
        "fp32": 3993.6, 
        "fp64": 998.4
    }, 
    "firepro w9100": {
        "bw": 320.0, 
        "fp32": 5237.8, 
        "fp64": 2618.9
    }, 
    "firestream 9170": {
        "bw": 51.2, 
        "fp32": 512.0, 
        "fp64": 102.4
    }, 
    "firestream 9250": {
        "bw": 63.6, 
        "fp32": 1000.0, 
        "fp64": 200.0
    }, 
    "firestream 9270": {
        "bw": 115.2, 
        "fp32": 1200.0, 
        "fp64": 240.0
    }, 
    "firestream 9350": {
        "bw": 128.0, 
        "fp32": 2016.0, 
        "fp64": 403.2
    }, 
    "firestream 9370": {
        "bw": 147.2, 
        "fp32": 2640.0, 
        "fp64": 528.0
    }, 
    "flipper": {
        "bw": 3.2, 
        "fp32": 9.4
    }, 
    "geforce 205": {
        "bw": 8.0, 
        "fp32": 22.4
    }, 
    "geforce 205 oem": {
        "bw": 6.4, 
        "fp32": 22.43
    }, 
    "geforce 210": {
        "bw": 6.4, 
        "fp32": 39.36
    }, 
    "geforce 210 oem": {
        "bw": 6.4, 
        "fp32": 35.2
    }, 
    "geforce 210 pci": {
        "bw": 6.4, 
        "fp32": 35.2
    }, 
    "geforce 305m": {
        "bw": 11.2, 
        "fp32": 55.0
    }, 
    "geforce 310": {
        "bw": 8.0, 
        "fp32": 44.8
    }, 
    "geforce 310 oem": {
        "bw": 5.328, 
        "fp32": 44.86
    }, 
    "geforce 310m": {
        "bw": 12.8, 
        "fp32": 73.0
    }, 
    "geforce 315": {
        "bw": 12.6, 
        "fp32": 105.6
    }, 
    "geforce 315 oem": {
        "bw": 9.6, 
        "fp32": 44.86
    }, 
    "geforce 315m": {
        "bw": 12.8, 
        "fp32": 58.18
    }, 
    "geforce 320m": {
        "bw": 17.056, 
        "fp32": 136.8
    }, 
    "geforce 405": {
        "bw": 12.6, 
        "fp32": 105.6
    }, 
    "geforce 405 oem": {
        "bw": 12.64, 
        "fp32": 44.86
    }, 
    "geforce 405m": {
        "bw": 12.8, 
        "fp32": 38.78
    }, 
    "geforce 410m": {
        "bw": 12.8, 
        "fp32": 110.4
    }, 
    "geforce 505 oem": {
        "bw": 22.4, 
        "fp32": 49.49
    }, 
    "geforce 510": {
        "bw": 14.4, 
        "fp32": 100.4
    }, 
    "geforce 510 oem": {
        "bw": 14.37, 
        "fp32": 100.4
    }, 
    "geforce 605": {
        "bw": 14.4, 
        "fp32": 100.4
    }, 
    "geforce 605 oem": {
        "bw": 14.35, 
        "fp32": 100.4
    }, 
    "geforce 610": {
        "bw": 14.4, 
        "fp32": 141.7
    }, 
    "geforce 610m": {
        "bw": 14.4, 
        "fp32": 142.08
    }, 
    "geforce 615": {
        "bw": 28.8, 
        "fp32": 126.7
    }, 
    "geforce 620m": {
        "bw": 14.4, 
        "fp32": 240.0
    }, 
    "geforce 705a": {
        "bw": 14.4, 
        "fp32": 141.7
    }, 
    "geforce 705m": {
        "bw": 14.4, 
        "fp32": 141.7
    }, 
    "geforce 710a": {
        "bw": 28.83, 
        "fp32": 622.1
    }, 
    "geforce 710m": {
        "bw": 14.4, 
        "fp32": 307.2
    }, 
    "geforce 720a": {
        "bw": 16.0, 
        "fp32": 360.2
    }, 
    "geforce 720m": {
        "bw": 12.8, 
        "fp32": 240.0
    }, 
    "geforce 800a": {
        "bw": 14.4, 
        "fp32": 148.8
    }, 
    "geforce 800m": {
        "bw": 14.4, 
        "fp32": 141.7
    }, 
    "geforce 805a": {
        "bw": 14.4, 
        "fp32": 297.6
    }, 
    "geforce 8100 mgpu": {
        "bw": 6.4, 
        "fp32": 28.8
    }, 
    "geforce 810a": {
        "bw": 14.4, 
        "fp32": 297.6
    }, 
    "geforce 810m": {
        "bw": 28.83, 
        "fp32": 622.1
    }, 
    "geforce 8200 mgpu": {
        "bw": 6.4, 
        "fp32": 28.8
    }, 
    "geforce 8200m g": {
        "bw": 12.8, 
        "fp32": 19.2
    }, 
    "geforce 820a": {
        "bw": 14.4, 
        "fp32": 297.6
    }, 
    "geforce 820m": {
        "bw": 28.83, 
        "fp32": 622.1
    }, 
    "geforce 825m": {
        "bw": 14.4, 
        "fp32": 652.8
    }, 
    "geforce 8300 gs": {
        "bw": 6.4, 
        "fp32": 14.69
    }, 
    "geforce 8300 mgpu": {
        "bw": 6.4, 
        "fp32": 36.0
    }, 
    "geforce 830a": {
        "bw": 14.4, 
        "fp32": 588.8
    }, 
    "geforce 830m": {
        "bw": 14.4, 
        "fp32": 588.8
    }, 
    "geforce 8400": {
        "bw": 8.0, 
        "fp32": 20.8
    }, 
    "geforce 8400 gs": {
        "bw": 6.4, 
        "fp32": 29.38
    }, 
    "geforce 8400 gs pci": {
        "bw": 8.0, 
        "fp32": 39.36
    }, 
    "geforce 8400 gs rev. 2": {
        "bw": 6.4, 
        "fp32": 22.4
    }, 
    "geforce 8400 gs rev. 3": {
        "bw": 6.4, 
        "fp32": 39.36
    }, 
    "geforce 8400 gs rev.2": {
        "bw": 6.4, 
        "fp32": 22.4
    }, 
    "geforce 8400 gs rev.3": {
        "bw": 4.8, 
        "fp32": 19.7
    }, 
    "geforce 8400m g": {
        "bw": 6.4, 
        "fp32": 19.2
    }, 
    "geforce 8400m gs": {
        "bw": 6.4, 
        "fp32": 38.4
    }, 
    "geforce 8400m gt": {
        "bw": 19.2, 
        "fp32": 43.2
    }, 
    "geforce 840a": {
        "bw": 16.02, 
        "fp32": 863.2
    }, 
    "geforce 840m": {
        "bw": 16.02, 
        "fp32": 863.2
    }, 
    "geforce 845m": {
        "bw": 40.1, 
        "fp32": 903.2
    }, 
    "geforce 8500 gt": {
        "bw": 12.8, 
        "fp32": 29.38
    }, 
    "geforce 8600 gs": {
        "bw": 12.8, 
        "fp32": 75.5
    }, 
    "geforce 8600 gt": {
        "bw": 22.4, 
        "fp32": 76.16
    }, 
    "geforce 8600 gt mac edition": {
        "bw": 24.0, 
        "fp32": 92.8
    }, 
    "geforce 8600 gts": {
        "bw": 32.0, 
        "fp32": 92.8
    }, 
    "geforce 8600 gts mac edition": {
        "bw": 32.26, 
        "fp32": 92.8
    }, 
    "geforce 8600m gs": {
        "bw": 22.4, 
        "fp32": 57.6
    }, 
    "geforce 8600m gt": {
        "bw": 12.8, 
        "fp32": 91.2
    }, 
    "geforce 8600m gt mac edition": {
        "bw": 20.32, 
        "fp32": 60.16
    }, 
    "geforce 8700m gt": {
        "bw": 25.6, 
        "fp32": 120.0
    }, 
    "geforce 8800 gs": {
        "bw": 38.4, 
        "fp32": 264.0
    }, 
    "geforce 8800 gs mac edition": {
        "bw": 51.14, 
        "fp32": 160.0
    }, 
    "geforce 8800 gt": {
        "bw": 57.6, 
        "fp32": 336.0
    }, 
    "geforce 8800 gt mac edition": {
        "bw": 57.6, 
        "fp32": 336.0
    }, 
    "geforce 8800 gts": {
        "bw": 64.0, 
        "fp32": 416.0
    }, 
    "geforce 8800 gts 112": {
        "bw": 64.0, 
        "fp32": 268.8
    }, 
    "geforce 8800 gts 320": {
        "bw": 63.36, 
        "fp32": 228.1
    }, 
    "geforce 8800 gts 512": {
        "bw": 52.48, 
        "fp32": 416.0
    }, 
    "geforce 8800 gts 640": {
        "bw": 63.36, 
        "fp32": 228.1
    }, 
    "geforce 8800 gts core 112": {
        "bw": 64.0, 
        "fp32": 268.8
    }, 
    "geforce 8800 gtx": {
        "bw": 86.4, 
        "fp32": 345.6
    }, 
    "geforce 8800 ultra": {
        "bw": 103.7, 
        "fp32": 387.1
    }, 
    "geforce 8800m gts": {
        "bw": 51.2, 
        "fp32": 240.0
    }, 
    "geforce 8800m gtx": {
        "bw": 51.2, 
        "fp32": 360.0
    }, 
    "geforce 9100m g mgpu": {
        "bw": 17.056, 
        "fp32": 26.4
    }, 
    "geforce 910m": {
        "bw": 16.02, 
        "fp32": 492.3
    }, 
    "geforce 9200m gs": {
        "bw": 11.2, 
        "fp32": 31.2
    }, 
    "geforce 920a": {
        "bw": 14.4, 
        "fp32": 441.6
    }, 
    "geforce 920m": {
        "bw": 14.4, 
        "fp32": 441.0
    }, 
    "geforce 920mx": {
        "bw": 14.4, 
        "fp32": 602.1
    }, 
    "geforce 9300 ge": {
        "bw": 8.0, 
        "fp32": 20.8
    }, 
    "geforce 9300 gs": {
        "bw": 8.0, 
        "fp32": 22.4
    }, 
    "geforce 9300 gs rev. 2": {
        "bw": 5.328, 
        "fp32": 44.86
    }, 
    "geforce 9300 mgpu": {
        "bw": 6.4, 
        "fp32": 57.6
    }, 
    "geforce 9300 se": {
        "bw": 6.4, 
        "fp32": 20.8
    }, 
    "geforce 9300m g": {
        "bw": 9.6, 
        "fp32": 38.4
    }, 
    "geforce 9300m gs": {
        "bw": 11.2, 
        "fp32": 33.6
    }, 
    "geforce 930a": {
        "bw": 14.4, 
        "fp32": 722.7
    }, 
    "geforce 930m": {
        "bw": 14.4, 
        "fp32": 722.7
    }, 
    "geforce 930mx": {
        "bw": 16.0, 
        "fp32": 903.2
    }, 
    "geforce 9400 gt": {
        "bw": 12.8, 
        "fp32": 44.8
    }, 
    "geforce 9400 gt pci": {
        "bw": 12.8, 
        "fp32": 44.8
    }, 
    "geforce 9400 gt rev. 2": {
        "bw": 12.8, 
        "fp32": 44.8
    }, 
    "geforce 9400 gt rev. 3": {
        "bw": 9.6, 
        "fp32": 44.86
    }, 
    "geforce 9400 mgpu": {
        "bw": 6.4, 
        "fp32": 67.2
    }, 
    "geforce 9400m g": {
        "bw": 12.8, 
        "fp32": 54.0
    }, 
    "geforce 940a": {
        "bw": 16.02, 
        "fp32": 863.2
    }, 
    "geforce 940m": {
        "bw": 28.8, 
        "fp32": 823.0
    }, 
    "geforce 940mx": {
        "bw": 40.1, 
        "fp32": 881.7
    }, 
    "geforce 945a": {
        "bw": 14.4, 
        "fp32": 903.2
    }, 
    "geforce 945m": {
        "bw": 16.02, 
        "fp32": 953.9
    }, 
    "geforce 9500 gt": {
        "bw": 25.6, 
        "fp32": 89.6
    }, 
    "geforce 9500 gt mac edition": {
        "bw": 25.6, 
        "fp32": 89.6
    }, 
    "geforce 9500m g": {
        "bw": 25.6, 
        "fp32": 60.0
    }, 
    "geforce 9500m gs": {
        "bw": 22.4, 
        "fp32": 91.2
    }, 
    "geforce 9600 gs": {
        "bw": 24.0, 
        "fp32": 120.0
    }, 
    "geforce 9600 gs oem": {
        "bw": 48.0, 
        "fp32": 120.0
    }, 
    "geforce 9600 gso": {
        "bw": 38.4, 
        "fp32": 264.0
    }, 
    "geforce 9600 gso 512": {
        "bw": 57.6, 
        "fp32": 156.0
    }, 
    "geforce 9600 gt": {
        "bw": 57.6, 
        "fp32": 208.0
    }, 
    "geforce 9600 gt green edition": {
        "bw": 44.8, 
        "fp32": 192.0
    }, 
    "geforce 9600 gt mac edition": {
        "bw": 17.02, 
        "fp32": 192.0
    }, 
    "geforce 9600 gtx": {
        "bw": 44.8, 
        "fp32": 278.4
    }, 
    "geforce 9600m gs": {
        "bw": 25.6, 
        "fp32": 103.2
    }, 
    "geforce 9600m gt": {
        "bw": 25.6, 
        "fp32": 120.0
    }, 
    "geforce 9600m gt mac edition": {
        "bw": 25.34, 
        "fp32": 80.0
    }, 
    "geforce 9650m gs": {
        "bw": 25.6, 
        "fp32": 120.0
    }, 
    "geforce 9650m gt": {
        "bw": 25.6, 
        "fp32": 127.2
    }, 
    "geforce 9700m gt": {
        "bw": 25.6, 
        "fp32": 148.8
    }, 
    "geforce 9700m gts": {
        "bw": 51.2, 
        "fp32": 190.8
    }, 
    "geforce 9800 gt": {
        "bw": 57.6, 
        "fp32": 336.0
    }, 
    "geforce 9800 gt green edition": {
        "bw": 44.8, 
        "fp32": 308.0
    }, 
    "geforce 9800 gt rebrand": {
        "bw": 64.0, 
        "fp32": 448.0
    }, 
    "geforce 9800 gtx": {
        "bw": 70.4, 
        "fp32": 432.1
    }, 
    "geforce 9800 gtx+": {
        "bw": 70.4, 
        "fp32": 470.0
    }, 
    "geforce 9800 gx2": {
        "bw": 64.0, 
        "fp32": 384.0
    }, 
    "geforce 9800m gs": {
        "bw": 51.2, 
        "fp32": 254.0
    }, 
    "geforce 9800m gt": {
        "bw": 51.2, 
        "fp32": 360.0
    }, 
    "geforce 9800m gts": {
        "bw": 51.2, 
        "fp32": 288.0
    }, 
    "geforce 9800m gtx": {
        "bw": 51.2, 
        "fp32": 420.0
    }, 
    "geforce 9800s": {
        "bw": 51.14, 
        "fp32": 192.0
    }, 
    "geforce g 100": {
        "bw": 8.0, 
        "fp32": 22.4
    }, 
    "geforce g 102m": {
        "bw": 6.4, 
        "fp32": 48.0
    }, 
    "geforce g 103m": {
        "bw": 8.0, 
        "fp32": 38.0
    }, 
    "geforce g 105m": {
        "bw": 8.0, 
        "fp32": 38.0
    }, 
    "geforce g 110m": {
        "bw": 8.0, 
        "fp32": 48.0
    }, 
    "geforce g100 oem": {
        "bw": 6.4, 
        "fp32": 20.8
    }, 
    "geforce g103m": {
        "bw": 8.0, 
        "fp32": 25.6
    }, 
    "geforce g105m": {
        "bw": 11.2, 
        "fp32": 34.24
    }, 
    "geforce g110m": {
        "bw": 11.2, 
        "fp32": 32.0
    }, 
    "geforce g210 oem": {
        "bw": 8.064, 
        "fp32": 43.2
    }, 
    "geforce g210 oem rev. 2": {
        "bw": 6.4, 
        "fp32": 44.86
    }, 
    "geforce g210m": {
        "bw": 12.8, 
        "fp32": 72.0
    }, 
    "geforce gt 1030": {
        "bw": 48.06, 
        "fp16": 14.0, 
        "fp32": 942.0, 
        "fp64": 29.0
    }, 
    "geforce gt 120": {
        "bw": 16.0, 
        "fp32": 89.6
    }, 
    "geforce gt 120 mac edition": {
        "bw": 25.6, 
        "fp32": 89.6
    }, 
    "geforce gt 120 oem": {
        "bw": 16.13, 
        "fp32": 117.5
    }, 
    "geforce gt 120m": {
        "bw": 16.0, 
        "fp32": 110.0
    }, 
    "geforce gt 120m mac edition": {
        "bw": 25.34, 
        "fp32": 80.0
    }, 
    "geforce gt 130": {
        "bw": 24.0, 
        "fp32": 120.0
    }, 
    "geforce gt 130 mac edition": {
        "bw": 38.02, 
        "fp32": 144.0
    }, 
    "geforce gt 130 oem": {
        "bw": 24.0, 
        "fp32": 120.0
    }, 
    "geforce gt 130m": {
        "bw": 25.6, 
        "fp32": 144.0
    }, 
    "geforce gt 140": {
        "bw": 57.6, 
        "fp32": 208.0
    }, 
    "geforce gt 140 oem": {
        "bw": 57.6, 
        "fp32": 208.0
    }, 
    "geforce gt 220": {
        "bw": 44.8, 
        "fp32": 144.0
    }, 
    "geforce gt 220 oem": {
        "bw": 22.4, 
        "fp32": 97.15
    }, 
    "geforce gt 220m": {
        "bw": 25.6, 
        "fp32": 120.0
    }, 
    "geforce gt 230": {
        "bw": 57.6, 
        "fp32": 156.0
    }, 
    "geforce gt 230 oem": {
        "bw": 24.0, 
        "fp32": 240.0
    }, 
    "geforce gt 2300": {
        "bw": 57.6, 
        "fp32": 156.0
    }, 
    "geforce gt 2301": {
        "bw": 24.0, 
        "fp32": 238.5
    }, 
    "geforce gt 230m": {
        "bw": 25.6, 
        "fp32": 158.0
    }, 
    "geforce gt 240": {
        "bw": 54.4, 
        "fp32": 257.3
    }, 
    "geforce gt 240m": {
        "bw": 25.6, 
        "fp32": 174.0
    }, 
    "geforce gt 240m le": {
        "bw": 12.8, 
        "fp32": 96.0
    }, 
    "geforce gt 320": {
        "bw": 25.3, 
        "fp32": 187.5
    }, 
    "geforce gt 320 oem": {
        "bw": 25.28, 
        "fp32": 187.5
    }, 
    "geforce gt 320m": {
        "bw": 25.6, 
        "fp32": 90.0
    }, 
    "geforce gt 325m": {
        "bw": 25.6, 
        "fp32": 142.0
    }, 
    "geforce gt 330": {
        "bw": 24.0, 
        "fp32": 240.0
    }, 
    "geforce gt 330 oem": {
        "bw": 32.0, 
        "fp32": 257.3
    }, 
    "geforce gt 330m": {
        "bw": 25.6, 
        "fp32": 182.0
    }, 
    "geforce gt 330m mac edition": {
        "bw": 25.28, 
        "fp32": 105.6
    }, 
    "geforce gt 335m": {
        "bw": 25.6, 
        "fp32": 233.0
    }, 
    "geforce gt 340": {
        "bw": 54.4, 
        "fp32": 257.3
    }, 
    "geforce gt 340 oem": {
        "bw": 27.2, 
        "fp32": 257.3
    }, 
    "geforce gt 415 oem": {
        "bw": 10.66, 
        "fp32": 130.6
    }, 
    "geforce gt 415m": {
        "bw": 25.6, 
        "fp32": 96.0
    }, 
    "geforce gt 420": {
        "bw": 28.8, 
        "fp32": 134.4
    }, 
    "geforce gt 420 oem": {
        "bw": 28.8, 
        "fp32": 134.4
    }, 
    "geforce gt 420m": {
        "bw": 25.6, 
        "fp32": 192.0
    }, 
    "geforce gt 425m": {
        "bw": 25.6, 
        "fp32": 215.04
    }, 
    "geforce gt 430": {
        "bw": 12.8, 
        "fp32": 268.8
    }, 
    "geforce gt 430 oem": {
        "bw": 25.6, 
        "fp32": 268.8
    }, 
    "geforce gt 4300": {
        "bw": 25.6, 
        "fp32": 268.8
    }, 
    "geforce gt 4301": {
        "bw": 28.8, 
        "fp32": 268.8
    }, 
    "geforce gt 4302": {
        "bw": 10.4, 
        "fp32": 268.8
    }, 
    "geforce gt 435m": {
        "bw": 25.6, 
        "fp32": 249.6
    }, 
    "geforce gt 440": {
        "bw": 28.8, 
        "fp32": 311.0
    }, 
    "geforce gt 440 mac edition": {
        "bw": 21.34, 
        "fp32": 311.0
    }, 
    "geforce gt 440 oem": {
        "bw": 43.2, 
        "fp32": 466.6
    }, 
    "geforce gt 4400": {
        "bw": 28.8, 
        "fp32": 311.04
    }, 
    "geforce gt 4401": {
        "bw": 43.2, 
        "fp32": 342.43
    }, 
    "geforce gt 445m": {
        "bw": 38.4, 
        "fp32": 339.84
    }, 
    "geforce gt 520": {
        "bw": 14.4, 
        "fp32": 155.5
    }, 
    "geforce gt 520 oem": {
        "bw": 8.0, 
        "fp32": 269.2
    }, 
    "geforce gt 520 pci": {
        "bw": 14.4, 
        "fp32": 155.5
    }, 
    "geforce gt 520 pcie x1": {
        "bw": 14.4, 
        "fp32": 155.5
    }, 
    "geforce gt 520m": {
        "bw": 12.8, 
        "fp32": 197.76
    }, 
    "geforce gt 520mx": {
        "bw": 14.4, 
        "fp32": 172.8
    }, 
    "geforce gt 525m": {
        "bw": 28.8, 
        "fp32": 230.4
    }, 
    "geforce gt 530": {
        "bw": 28.8, 
        "fp32": 268.8
    }, 
    "geforce gt 530 oem": {
        "bw": 28.8, 
        "fp32": 268.8
    }, 
    "geforce gt 540m": {
        "bw": 28.8, 
        "fp32": 258.05
    }, 
    "geforce gt 545": {
        "bw": 38.4, 
        "fp32": 414.7
    }, 
    "geforce gt 545 oem": {
        "bw": 64.0, 
        "fp32": 501.4
    }, 
    "geforce gt 5450": {
        "bw": 43.0, 
        "fp32": 415.07
    }, 
    "geforce gt 5451": {
        "bw": 64.0, 
        "fp32": 501.12
    }, 
    "geforce gt 550m": {
        "bw": 28.8, 
        "fp32": 284.2
    }, 
    "geforce gt 555m": {
        "bw": 43.2, 
        "fp32": 339.84
    }, 
    "geforce gt 610": {
        "bw": 14.37, 
        "fp32": 155.5
    }, 
    "geforce gt 610 oem": {
        "bw": 8.0, 
        "fp32": 134.6
    }, 
    "geforce gt 610 pci": {
        "bw": 10.67, 
        "fp32": 155.5
    }, 
    "geforce gt 610 pcie x1": {
        "bw": 8.0, 
        "fp32": 155.5
    }, 
    "geforce gt 620": {
        "bw": 14.4, 
        "fp32": 268.8
    }, 
    "geforce gt 620 oem": {
        "bw": 14.37, 
        "fp32": 155.5
    }, 
    "geforce gt 6200": {
        "bw": 14.4, 
        "fp32": 155.5
    }, 
    "geforce gt 6201": {
        "bw": 8.0, 
        "fp32": 268.8
    }, 
    "geforce gt 620m": {
        "bw": 28.8, 
        "fp32": 253.4
    }, 
    "geforce gt 625": {
        "bw": 14.4, 
        "fp32": 155.5
    }, 
    "geforce gt 625 oem": {
        "bw": 13.2, 
        "fp32": 167.8
    }, 
    "geforce gt 625m": {
        "bw": 14.4, 
        "fp32": 240.0
    }, 
    "geforce gt 630": {
        "bw": 28.8, 
        "fp32": 311.0
    }, 
    "geforce gt 630 oem": {
        "bw": 28.51, 
        "fp32": 336.0
    }, 
    "geforce gt 630 rev. 2": {
        "bw": 14.4, 
        "fp32": 692.7
    }, 
    "geforce gt 630 rev. 2 pcie x8": {
        "bw": 14.4, 
        "fp32": 692.7
    }, 
    "geforce gt 6300": {
        "bw": 28.5, 
        "fp32": 336.0, 
        "fp64": 14.0
    }, 
    "geforce gt 6301": {
        "bw": 25.6, 
        "fp32": 311.0
    }, 
    "geforce gt 6302": {
        "bw": 51.2, 
        "fp32": 311.0
    }, 
    "geforce gt 6303": {
        "bw": 14.4, 
        "fp32": 692.7
    }, 
    "geforce gt 630m": {
        "bw": 28.8, 
        "fp32": 258.0
    }, 
    "geforce gt 635": {
        "bw": 16.0, 
        "fp32": 742.7
    }, 
    "geforce gt 635 oem": {
        "bw": 14.4, 
        "fp32": 742.7
    }, 
    "geforce gt 635m": {
        "bw": 28.8, 
        "fp32": 289.2
    }, 
    "geforce gt 640": {
        "bw": 28.51, 
        "fp32": 692.7
    }, 
    "geforce gt 640 oem": {
        "bw": 28.51, 
        "fp32": 612.1
    }, 
    "geforce gt 640 oem rebrand": {
        "bw": 38.4, 
        "fp32": 414.7
    }, 
    "geforce gt 640 rev. 2": {
        "bw": 40.06, 
        "fp32": 803.3
    }, 
    "geforce gt 6400": {
        "bw": 42.8, 
        "fp32": 414.7
    }, 
    "geforce gt 6401": {
        "bw": 28.5, 
        "fp32": 612.1, 
        "fp64": 25.5
    }, 
    "geforce gt 6402": {
        "bw": 28.5, 
        "fp32": 691.2, 
        "fp64": 28.8
    }, 
    "geforce gt 6403": {
        "bw": 80.0, 
        "fp32": 729.6, 
        "fp64": 30.4
    }, 
    "geforce gt 6404": {
        "bw": 40.1, 
        "fp32": 803.3
    }, 
    "geforce gt 640m": {
        "bw": 28.8, 
        "fp32": 480.0
    }, 
    "geforce gt 640m le": {
        "bw": 50.2, 
        "fp32": 384.0
    }, 
    "geforce gt 640m mac edition": {
        "bw": 40.0, 
        "fp32": 572.2
    }, 
    "geforce gt 645": {
        "bw": 91.9, 
        "fp32": 894.0
    }, 
    "geforce gt 645 oem": {
        "bw": 91.87, 
        "fp32": 894.0
    }, 
    "geforce gt 645m": {
        "bw": 28.8, 
        "fp32": 545.0
    }, 
    "geforce gt 650m": {
        "bw": 28.8, 
        "fp32": 652.8
    }, 
    "geforce gt 650m mac edition": {
        "bw": 80.26, 
        "fp32": 691.2
    }, 
    "geforce gt 705": {
        "bw": 14.4, 
        "fp32": 155.5, 
        "fp64": 19.4
    }, 
    "geforce gt 705 oem": {
        "bw": 13.2, 
        "fp32": 167.8
    }, 
    "geforce gt 710": {
        "bw": 14.4, 
        "fp32": 366.3
    }, 
    "geforce gt 710 oem": {
        "bw": 14.4, 
        "fp32": 316.0
    }, 
    "geforce gt 710 pci": {
        "bw": 10.67, 
        "fp32": 155.5
    }, 
    "geforce gt 7100": {
        "bw": 14.4, 
        "fp32": 316.0, 
        "fp64": 13.2
    }, 
    "geforce gt 7101": {
        "bw": 14.4, 
        "fp32": 366.0, 
        "fp64": 15.3
    }, 
    "geforce gt 710m": {
        "bw": 14.4, 
        "fp32": 297.6
    }, 
    "geforce gt 720": {
        "bw": 14.4, 
        "fp32": 306.0, 
        "fp64": 12.8
    }, 
    "geforce gt 720a": {
        "bw": 16.0, 
        "fp32": 360.2
    }, 
    "geforce gt 720m": {
        "bw": 16.0, 
        "fp32": 360.19
    }, 
    "geforce gt 730": {
        "bw": 28.8, 
        "fp32": 268.8
    }, 
    "geforce gt 730 0": {
        "bw": 14.4, 
        "fp32": 692.7, 
        "fp64": 28.9
    }, 
    "geforce gt 730 1": {
        "bw": 28.8, 
        "fp32": 268.8, 
        "fp64": 33.6
    }, 
    "geforce gt 730 2": {
        "bw": 40.0, 
        "fp32": 692.7, 
        "fp64": 28.9
    }, 
    "geforce gt 730 oem": {
        "bw": 80.19, 
        "fp32": 762.6
    }, 
    "geforce gt 730a": {
        "bw": 28.8, 
        "fp32": 552.2
    }, 
    "geforce gt 730m": {
        "bw": 16.0, 
        "fp32": 552.2
    }, 
    "geforce gt 735m": {
        "bw": 16.0, 
        "fp32": 682.8
    }, 
    "geforce gt 740": {
        "bw": 80.19, 
        "fp32": 762.6
    }, 
    "geforce gt 740 oem": {
        "bw": 80.19, 
        "fp32": 806.4
    }, 
    "geforce gt 7400": {
        "bw": 28.5, 
        "fp32": 762.6, 
        "fp64": 31.8
    }, 
    "geforce gt 7401": {
        "bw": 80.1, 
        "fp32": 762.6, 
        "fp64": 31.8
    }, 
    "geforce gt 740a": {
        "bw": 14.4, 
        "fp32": 752.6
    }, 
    "geforce gt 740m": {
        "bw": 28.83, 
        "fp32": 622.1
    }, 
    "geforce gt 745a": {
        "bw": 28.8, 
        "fp32": 642.8
    }, 
    "geforce gt 745m": {
        "bw": 64.0, 
        "fp32": 642.8
    }, 
    "geforce gt 750m": {
        "bw": 64.0, 
        "fp32": 742.7
    }, 
    "geforce gt 750m mac edition": {
        "bw": 80.26, 
        "fp32": 711.2
    }, 
    "geforce gt 755m": {
        "bw": 86.4, 
        "fp32": 783.0
    }, 
    "geforce gt 755m mac edition": {
        "bw": 80.0, 
        "fp32": 833.3
    }, 
    "geforce gt 820m": {
        "bw": 14.4, 
        "fp32": 297.6
    }, 
    "geforce gt 945a": {
        "bw": 14.4, 
        "fp32": 1024.0, 
        "fp64": 32.0
    }, 
    "geforce gts 150": {
        "bw": 64.0, 
        "fp32": 470.0
    }, 
    "geforce gts 150 oem": {
        "bw": 64.0, 
        "fp32": 470.0
    }, 
    "geforce gts 150m": {
        "bw": 51.2, 
        "fp32": 192.0
    }, 
    "geforce gts 160m": {
        "bw": 51.2, 
        "fp32": 288.0
    }, 
    "geforce gts 240": {
        "bw": 70.4, 
        "fp32": 362.9
    }, 
    "geforce gts 240 oem": {
        "bw": 70.4, 
        "fp32": 362.9
    }, 
    "geforce gts 250": {
        "bw": 64.0, 
        "fp32": 387.1
    }, 
    "geforce gts 2500": {
        "bw": 64.0, 
        "fp32": 387.0
    }, 
    "geforce gts 2501": {
        "bw": 64.0, 
        "fp32": 470.0
    }, 
    "geforce gts 250m": {
        "bw": 51.2, 
        "fp32": 360.0
    }, 
    "geforce gts 260m": {
        "bw": 57.6, 
        "fp32": 396.0
    }, 
    "geforce gts 350m": {
        "bw": 51.2, 
        "fp32": 360.0
    }, 
    "geforce gts 360m": {
        "bw": 57.6, 
        "fp32": 413.0
    }, 
    "geforce gts 450": {
        "bw": 57.73, 
        "fp32": 601.3
    }, 
    "geforce gts 450 oem": {
        "bw": 57.73, 
        "fp32": 451.0
    }, 
    "geforce gts 450 rev. 2": {
        "bw": 57.73, 
        "fp32": 601.3
    }, 
    "geforce gts 450 rev. 3": {
        "bw": 22.4, 
        "fp32": 451.0
    }, 
    "geforce gts 4500": {
        "bw": 96.0, 
        "fp32": 455.04
    }, 
    "geforce gts 4501": {
        "bw": 57.73, 
        "fp32": 601.34
    }, 
    "geforce gtx 1050": {
        "bw": 112.1, 
        "fp16": 27.0, 
        "fp32": 1733.0, 
        "fp64": 54.0
    }, 
    "geforce gtx 1050 ti": {
        "bw": 112.1, 
        "fp16": 31.0, 
        "fp32": 2293.0, 
        "fp64": 62.0
    }, 
    "geforce gtx 1060": {
        "bw": 192.0, 
        "fp16": 56.0, 
        "fp32": 3594.0, 
        "fp64": 112.0
    }, 
    "geforce gtx 10600": {
        "bw": 192.0, 
        "fp16": 54.0, 
        "fp32": 3470.0, 
        "fp64": 108.0
    }, 
    "geforce gtx 10601": {
        "bw": 192.0, 
        "fp16": 60.0, 
        "fp32": 3855.0, 
        "fp64": 120.0
    }, 
    "geforce gtx 1070": {
        "bw": 256.3, 
        "fp16": 92.0, 
        "fp32": 5906.0, 
        "fp64": 185.0
    }, 
    "geforce gtx 1080": {
        "bw": 320.3, 
        "fp16": 128.0, 
        "fp32": 8228.0, 
        "fp64": 257.0
    }, 
    "geforce gtx 1080 ti": {
        "bw": 484.4, 
        "fp16": 166.0, 
        "fp32": 10609.0, 
        "fp64": 332.0
    }, 
    "geforce gtx 260": {
        "bw": 111.9, 
        "fp32": 476.9
    }, 
    "geforce gtx 260 core 216": {
        "bw": 111.9, 
        "fp32": 536.5
    }, 
    "geforce gtx 260 core 216 rev. 2": {
        "bw": 111.9, 
        "fp32": 536.5
    }, 
    "geforce gtx 260 oem": {
        "bw": 112.9, 
        "fp32": 414.7
    }, 
    "geforce gtx 260 rev. 2": {
        "bw": 111.9, 
        "fp32": 476.9
    }, 
    "geforce gtx 2600": {
        "bw": 111.9, 
        "fp32": 477.0
    }, 
    "geforce gtx 2601": {
        "bw": 111.9, 
        "fp32": 536.5
    }, 
    "geforce gtx 260m": {
        "bw": 60.8, 
        "fp32": 462.0
    }, 
    "geforce gtx 275": {
        "bw": 127.0, 
        "fp32": 674.0
    }, 
    "geforce gtx 275 physx edition": {
        "bw": 127.0, 
        "fp32": 622.1
    }, 
    "geforce gtx 280": {
        "bw": 141.7, 
        "fp32": 622.1
    }, 
    "geforce gtx 280m": {
        "bw": 60.8, 
        "fp32": 562.0
    }, 
    "geforce gtx 285": {
        "bw": 159.0, 
        "fp32": 708.5
    }, 
    "geforce gtx 285 mac edition": {
        "bw": 159.0, 
        "fp32": 708.5
    }, 
    "geforce gtx 285m": {
        "bw": 64.0, 
        "fp32": 576.0
    }, 
    "geforce gtx 295": {
        "bw": 111.9, 
        "fp32": 1192.3
    }, 
    "geforce gtx 460": {
        "bw": 86.4, 
        "fp32": 907.2
    }, 
    "geforce gtx 460 oem": {
        "bw": 108.8, 
        "fp32": 873.6
    }, 
    "geforce gtx 460 se": {
        "bw": 108.8, 
        "fp32": 748.8
    }, 
    "geforce gtx 460 se v2": {
        "bw": 81.6, 
        "fp32": 748.8
    }, 
    "geforce gtx 460 x2": {
        "bw": 115.2, 
        "fp32": 941.5
    }, 
    "geforce gtx 4600": {
        "bw": 108.8, 
        "fp32": 873.6
    }, 
    "geforce gtx 4601": {
        "bw": 86.4, 
        "fp32": 907.2
    }, 
    "geforce gtx 4602": {
        "bw": 115.2, 
        "fp32": 907.2
    }, 
    "geforce gtx 4603": {
        "bw": 96.2, 
        "fp32": 1045.6
    }, 
    "geforce gtx 460m": {
        "bw": 60.0, 
        "fp32": 518.4
    }, 
    "geforce gtx 465": {
        "bw": 102.7, 
        "fp32": 855.4, 
        "fp64": 106.92
    }, 
    "geforce gtx 470": {
        "bw": 133.9, 
        "fp32": 1088.64, 
        "fp64": 136.08
    }, 
    "geforce gtx 470 x2": {
        "bw": 107.1, 
        "fp32": 855.4
    }, 
    "geforce gtx 470m": {
        "bw": 72.0, 
        "fp32": 633.6
    }, 
    "geforce gtx 480": {
        "bw": 177.4, 
        "fp32": 1344.96, 
        "fp64": 168.12
    }, 
    "geforce gtx 480m": {
        "bw": 76.8, 
        "fp32": 598.4
    }, 
    "geforce gtx 485m": {
        "bw": 96.0, 
        "fp32": 883.2
    }, 
    "geforce gtx 550 ti": {
        "bw": 98.5, 
        "fp32": 691.2
    }, 
    "geforce gtx 555": {
        "bw": 91.9, 
        "fp32": 847.9
    }, 
    "geforce gtx 555 oem": {
        "bw": 91.87, 
        "fp32": 847.9
    }, 
    "geforce gtx 560": {
        "bw": 128.1, 
        "fp32": 1088.6
    }, 
    "geforce gtx 560 oem": {
        "bw": 128.3, 
        "fp32": 847.9
    }, 
    "geforce gtx 560 se": {
        "bw": 91.9, 
        "fp32": 847.9
    }, 
    "geforce gtx 560 ti0": {
        "bw": 128.26, 
        "fp32": 1263.4, 
        "fp64": 110.0
    }, 
    "geforce gtx 560 ti1": {
        "bw": 152.0, 
        "fp32": 1030.7, 
        "fp64": 128.83
    }, 
    "geforce gtx 560 ti2": {
        "bw": 152.0, 
        "fp32": 1311.7, 
        "fp64": 163.97
    }, 
    "geforce gtx 560m": {
        "bw": 60.0, 
        "fp32": 595.2
    }, 
    "geforce gtx 570": {
        "bw": 152.0, 
        "fp32": 1405.4, 
        "fp64": 175.68
    }, 
    "geforce gtx 570m": {
        "bw": 72.0, 
        "fp32": 772.8
    }, 
    "geforce gtx 580": {
        "bw": 192.4, 
        "fp32": 1581.1, 
        "fp64": 197.63
    }, 
    "geforce gtx 580m": {
        "bw": 96.0, 
        "fp32": 952.3
    }, 
    "geforce gtx 590": {
        "bw": 164.0, 
        "fp32": 2488.3, 
        "fp64": 311.04
    }, 
    "geforce gtx 645": {
        "bw": 64.0, 
        "fp32": 948.1, 
        "fp64": 39.53
    }, 
    "geforce gtx 645 oem": {
        "bw": 64.0, 
        "fp32": 949.2
    }, 
    "geforce gtx 650": {
        "bw": 80.0, 
        "fp32": 812.54, 
        "fp64": 33.86
    }, 
    "geforce gtx 650 ti": {
        "bw": 86.4, 
        "fp32": 1425.41, 
        "fp64": 59.39
    }, 
    "geforce gtx 650 ti boost": {
        "bw": 144.2, 
        "fp32": 1505.28, 
        "fp64": 62.72
    }, 
    "geforce gtx 660 ti": {
        "bw": 144.2, 
        "fp32": 2459.52, 
        "fp64": 102.48
    }, 
    "geforce gtx 6600": {
        "bw": 96.1, 
        "fp32": 1881.6, 
        "fp64": 78.4
    }, 
    "geforce gtx 6601": {
        "bw": 134.0, 
        "fp32": 2108.6, 
        "fp64": 79.06
    }, 
    "geforce gtx 660m": {
        "bw": 80.0, 
        "fp32": 730.0
    }, 
    "geforce gtx 660m mac edition": {
        "bw": 80.0, 
        "fp32": 729.6
    }, 
    "geforce gtx 670": {
        "bw": 192.3, 
        "fp32": 2459.52, 
        "fp64": 102.48
    }, 
    "geforce gtx 670m": {
        "bw": 72.0, 
        "fp32": 833.0
    }, 
    "geforce gtx 670mx": {
        "bw": 67.2, 
        "fp32": 1181.0
    }, 
    "geforce gtx 675m": {
        "bw": 96.0, 
        "fp32": 972.0
    }, 
    "geforce gtx 675mx": {
        "bw": 115.2, 
        "fp32": 1281.0
    }, 
    "geforce gtx 680": {
        "bw": 192.3, 
        "fp32": 3090.43, 
        "fp64": 128.77
    }, 
    "geforce gtx 680m": {
        "bw": 115.2, 
        "fp32": 1933.0
    }, 
    "geforce gtx 680mx": {
        "bw": 160.0, 
        "fp32": 2209.0
    }, 
    "geforce gtx 690": {
        "bw": 192.3, 
        "fp32": 2.0, 
        "fp64": 2.0
    }, 
    "geforce gtx 745": {
        "bw": 28.8, 
        "fp32": 793.3, 
        "fp64": 24.8
    }, 
    "geforce gtx 745 oem": {
        "bw": 28.8, 
        "fp32": 793.3
    }, 
    "geforce gtx 750": {
        "bw": 80.19, 
        "fp32": 1044.5, 
        "fp64": 32.6
    }, 
    "geforce gtx 750 ti": {
        "bw": 88.0, 
        "fp32": 1305.6, 
        "fp64": 40.8
    }, 
    "geforce gtx 760": {
        "bw": 192.3, 
        "fp32": 2257.9, 
        "fp64": 94.1
    }, 
    "geforce gtx 760 192-bit": {
        "bw": 134.4, 
        "fp32": 1896.2, 
        "fp64": 79.0
    }, 
    "geforce gtx 760 ti": {
        "bw": 192.3, 
        "fp32": 2459.5, 
        "fp64": 102.5
    }, 
    "geforce gtx 760m": {
        "bw": 64.13, 
        "fp32": 1104.0
    }, 
    "geforce gtx 765m": {
        "bw": 64.13, 
        "fp32": 1326.0
    }, 
    "geforce gtx 770": {
        "bw": 224.4, 
        "fp32": 3213.3, 
        "fp64": 133.9
    }, 
    "geforce gtx 770m": {
        "bw": 96.19, 
        "fp32": 1530.0
    }, 
    "geforce gtx 780": {
        "bw": 288.4, 
        "fp32": 3976.7, 
        "fp64": 165.7
    }, 
    "geforce gtx 780 ti": {
        "bw": 336.6, 
        "fp32": 5045.7, 
        "fp64": 210.2
    }, 
    "geforce gtx 780m": {
        "bw": 160.0, 
        "fp32": 2448.0
    }, 
    "geforce gtx 850m 0": {
        "bw": 80.0, 
        "fp32": 1121.3
    }, 
    "geforce gtx 850m 1": {
        "bw": 32.0, 
        "fp32": 1198.1
    }, 
    "geforce gtx 860m 0": {
        "bw": 80.0, 
        "fp32": 1389.0
    }, 
    "geforce gtx 860m 1": {
        "bw": 80.0, 
        "fp32": 2108.0
    }, 
    "geforce gtx 870m": {
        "bw": 120.0, 
        "fp32": 2599.0
    }, 
    "geforce gtx 880m": {
        "bw": 160.0, 
        "fp32": 3104.0
    }, 
    "geforce gtx 950": {
        "bw": 106.0, 
        "fp32": 1573.0, 
        "fp64": 49.2
    }, 
    "geforce gtx 950m0": {
        "bw": 80.0, 
        "fp32": 1170.0
    }, 
    "geforce gtx 950m1": {
        "bw": 32.0, 
        "fp32": 1170.0
    }, 
    "geforce gtx 9600": {
        "bw": 112.0, 
        "fp32": 2308.0, 
        "fp64": 72.1
    }, 
    "geforce gtx 9601": {
        "bw": 120.0, 
        "fp32": 2365.0, 
        "fp64": 73.9
    }, 
    "geforce gtx 960m": {
        "bw": 80.19, 
        "fp32": 1403.0
    }, 
    "geforce gtx 965m": {
        "bw": 80.19, 
        "fp32": 1933.0
    }, 
    "geforce gtx 970": {
        "bw": 224.4, 
        "fp32": 3494.0, 
        "fp64": 109.0
    }, 
    "geforce gtx 970m": {
        "bw": 120.3, 
        "fp32": 2365.0
    }, 
    "geforce gtx 980": {
        "bw": 224.4, 
        "fp32": 4358.0
    }, 
    "geforce gtx 980 ti": {
        "bw": 336.6, 
        "fp32": 5632.0, 
        "fp64": 176.0
    }, 
    "geforce gtx 980m": {
        "bw": 160.4, 
        "fp32": 3189.0
    }, 
    "geforce gtx titan": {
        "bw": 288.4, 
        "fp32": 4499.7, 
        "fp64": 1300.0
    }, 
    "geforce gtx titan black": {
        "bw": 336.5, 
        "fp32": 5120.6, 
        "fp64": 1706.9
    }, 
    "geforce gtx titan x": {
        "bw": 336.6, 
        "fp32": 6144.0, 
        "fp64": 192.0
    }, 
    "geforce gtx titan z": {
        "bw": 336.0, 
        "fp32": 8121.6, 
        "fp64": 2707.2
    }, 
    "geforce mx150": {
        "bw": 48.0, 
        "fp16": 9.0, 
        "fp32": 1127.0, 
        "fp64": 18.0
    }, 
    "grid k1": {
        "bw": 28.51, 
        "fp32": 326.4
    }, 
    "grid k100": {
        "bw": 28.51, 
        "fp32": 326.4
    }, 
    "grid k120q": {
        "bw": 28.51, 
        "fp32": 326.4
    }, 
    "grid k140q": {
        "bw": 28.51, 
        "fp32": 326.4
    }, 
    "grid k160q": {
        "bw": 28.51, 
        "fp32": 326.4
    }, 
    "grid k180q": {
        "bw": 28.51, 
        "fp32": 326.4
    }, 
    "grid k340": {
        "bw": 28.8, 
        "fp32": 729.6
    }, 
    "grid m40": {
        "bw": 86.4, 
        "fp32": 768.0
    }, 
    "hollywood": {
        "bw": 4.8, 
        "fp32": 14.1
    }, 
    "k10 gpu accelerator": {
        "bw": 2.0, 
        "fp32": 4577.0, 
        "fp64": 190.7
    }, 
    "k20 gpu accelerator": {
        "bw": 208.0, 
        "fp32": 3524.0, 
        "fp64": 1175.0
    }, 
    "k20x gpu accelerator": {
        "bw": 250.0, 
        "fp32": 3935.0, 
        "fp64": 1312.0
    }, 
    "k40 gpu accelerator": {
        "bw": 288.0, 
        "fp32": 4291.0, 
        "fp64": 1430.0
    }, 
    "k80 gpu accelerator": {
        "bw": 2.0, 
        "fp32": 5591.0, 
        "fp64": 1864.0
    }, 
    "latte": {
        "bw": 12.8, 
        "fp32": 176.0
    }, 
    "liverpool": {
        "bw": 176.0, 
        "fp32": 1843.2
    }, 
    "m10 gpu accelerator": {
        "bw": 4.0, 
        "fp32": 5289.0, 
        "fp64": 165.3
    }, 
    "m2050 gpu computing module": {
        "bw": 148.4, 
        "fp32": 1030.4, 
        "fp64": 515.2
    }, 
    "m2070/m2070q gpu computing module": {
        "bw": 150.336, 
        "fp32": 1030.4, 
        "fp64": 515.2
    }, 
    "m2090 gpu computing module": {
        "bw": 177.6, 
        "fp32": 1331.2, 
        "fp64": 665.6
    }, 
    "m4 gpu accelerator": {
        "bw": 88.0, 
        "fp32": 1786.0, 
        "fp64": 55.81
    }, 
    "m40 gpu accelerator": {
        "bw": 288.0, 
        "fp32": 5825.0, 
        "fp64": 182.0
    }, 
    "m6 gpu accelerator": {
        "bw": 147.2, 
        "fp32": 2218.0, 
        "fp64": 69.3
    }, 
    "m60 gpu accelerator": {
        "bw": 2.0, 
        "fp32": 7365.0, 
        "fp64": 230.1
    }, 
    "mobility firegl v5600": {
        "bw": 12.8, 
        "fp32": 120.0
    }, 
    "mobility firegl v5700": {
        "bw": 22.4, 
        "fp32": 144.0
    }, 
    "mobility firegl v5725": {
        "bw": 25.6, 
        "fp32": 163.2
    }, 
    "mobility radeon hd 2400": {
        "bw": 6.4, 
        "fp32": 36.0
    }, 
    "mobility radeon hd 2400 xt": {
        "bw": 6.4, 
        "fp32": 48.0
    }, 
    "mobility radeon hd 2400 xt mac edition": {
        "bw": 12.8, 
        "fp32": 52.0
    }, 
    "mobility radeon hd 2600": {
        "bw": 12.8, 
        "fp32": 120.0
    }, 
    "mobility radeon hd 2600 xt": {
        "bw": 24.0, 
        "fp32": 168.0
    }, 
    "mobility radeon hd 2600 xt mac edition": {
        "bw": 21.92, 
        "fp32": 144.0
    }, 
    "mobility radeon hd 2700": {
        "bw": 22.4, 
        "fp32": 168.0
    }, 
    "mobility radeon hd 3100": {
        "bw": 6.4, 
        "fp32": 24.0
    }, 
    "mobility radeon hd 3200": {
        "bw": 6.4, 
        "fp32": 40.0
    }, 
    "mobility radeon hd 3410": {
        "bw": 6.4, 
        "fp32": 32.0
    }, 
    "mobility radeon hd 3430": {
        "bw": 6.4, 
        "fp32": 36.0
    }, 
    "mobility radeon hd 3450": {
        "bw": 6.4, 
        "fp32": 40.0
    }, 
    "mobility radeon hd 3470": {
        "bw": 6.4, 
        "fp32": 54.4
    }, 
    "mobility radeon hd 3650": {
        "bw": 22.4, 
        "fp32": 120.0
    }, 
    "mobility radeon hd 3670": {
        "bw": 25.6, 
        "fp32": 163.2
    }, 
    "mobility radeon hd 3850": {
        "bw": 48.0, 
        "fp32": 371.2
    }, 
    "mobility radeon hd 3850 x2": {
        "bw": 48.0, 
        "fp32": 371.2
    }, 
    "mobility radeon hd 3870": {
        "bw": 54.4, 
        "fp32": 422.4
    }, 
    "mobility radeon hd 3870 x2": {
        "bw": 54.4, 
        "fp32": 422.4
    }, 
    "mobility radeon hd 4200": {
        "bw": 6.4, 
        "fp32": 40.0
    }, 
    "mobility radeon hd 4225": {
        "bw": 6.4, 
        "fp32": 30.4
    }, 
    "mobility radeon hd 4250": {
        "bw": 6.4, 
        "fp32": 40.0
    }, 
    "mobility radeon hd 4270": {
        "bw": 6.4, 
        "fp32": 47.2
    }, 
    "mobility radeon hd 4330": {
        "bw": 9.6, 
        "fp32": 72.0
    }, 
    "mobility radeon hd 4350": {
        "bw": 9.6, 
        "fp32": 72.0
    }, 
    "mobility radeon hd 4530": {
        "bw": 11.2, 
        "fp32": 80.0
    }, 
    "mobility radeon hd 4550": {
        "bw": 11.2, 
        "fp32": 88.0
    }, 
    "mobility radeon hd 4570": {
        "bw": 12.8, 
        "fp32": 108.8
    }, 
    "mobility radeon hd 4650": {
        "bw": 19.2, 
        "fp32": 320.0
    }, 
    "mobility radeon hd 4670": {
        "bw": 25.6, 
        "fp32": 432.0
    }, 
    "mobility radeon hd 4670 mac edition": {
        "bw": 25.28, 
        "fp32": 435.2
    }, 
    "mobility radeon hd 4830": {
        "bw": 44.8, 
        "fp32": 704.0
    }, 
    "mobility radeon hd 4850": {
        "bw": 54.4, 
        "fp32": 800.0
    }, 
    "mobility radeon hd 4850 mac edition": {
        "bw": 54.4, 
        "fp32": 804.8
    }, 
    "mobility radeon hd 4850 x2": {
        "bw": 89.6, 
        "fp32": 800.0
    }, 
    "mobility radeon hd 4860": {
        "bw": 64.0, 
        "fp32": 832.0
    }, 
    "mobility radeon hd 4870": {
        "bw": 56.832, 
        "fp32": 880.0
    }, 
    "mobility radeon hd 4870 x2": {
        "bw": 89.6, 
        "fp32": 880.0
    }, 
    "mobility radeon hd 5145": {
        "bw": 14.4, 
        "fp32": 115.2
    }, 
    "mobility radeon hd 5165": {
        "bw": 28.8, 
        "fp32": 384.0
    }, 
    "mobility radeon hd 530v": {
        "bw": 9.6, 
        "fp32": 80.0
    }, 
    "mobility radeon hd 540v": {
        "bw": 12.8, 
        "fp32": 88.0
    }, 
    "mobility radeon hd 5430": {
        "bw": 12.8, 
        "fp32": 80.0
    }, 
    "mobility radeon hd 5450": {
        "bw": 12.8, 
        "fp32": 108.0
    }, 
    "mobility radeon hd 545v": {
        "bw": 12.8, 
        "fp32": 115.2
    }, 
    "mobility radeon hd 5470": {
        "bw": 25.6, 
        "fp32": 120.0
    }, 
    "mobility radeon hd 550v": {
        "bw": 19.2, 
        "fp32": 288.0
    }, 
    "mobility radeon hd 5570": {
        "bw": 25.6, 
        "fp32": 440.0
    }, 
    "mobility radeon hd 560v": {
        "bw": 25.6, 
        "fp32": 352.0
    }, 
    "mobility radeon hd 5650": {
        "bw": 25.6, 
        "fp32": 360.0
    }, 
    "mobility radeon hd 565v": {
        "bw": 25.6, 
        "fp32": 432.0
    }, 
    "mobility radeon hd 5670 mac edition": {
        "bw": 25.44, 
        "fp32": 520.0
    }, 
    "mobility radeon hd 5730": {
        "bw": 25.6, 
        "fp32": 520.0
    }, 
    "mobility radeon hd 5750": {
        "bw": 51.2, 
        "fp32": 440.0
    }, 
    "mobility radeon hd 5770": {
        "bw": 51.2, 
        "fp32": 520.0
    }, 
    "mobility radeon hd 5830": {
        "bw": 25.6, 
        "fp32": 800.0
    }, 
    "mobility radeon hd 5850": {
        "bw": 64.0, 
        "fp32": 1000.0
    }, 
    "mobility radeon hd 5870": {
        "bw": 64.0, 
        "fp32": 1120.0
    }, 
    "neo": {
        "bw": 217.6, 
        "fp32": 4197.8
    }, 
    "nvs 1000": {
        "bw": 28.51, 
        "fp32": 306.0
    }, 
    "nvs 2100m": {
        "bw": 12.8, 
        "fp32": 59.04
    }, 
    "nvs 290": {
        "bw": 6.4, 
        "fp32": 44.16
    }, 
    "nvs 295": {
        "bw": 11.2, 
        "fp32": 31.2
    }, 
    "nvs 300": {
        "bw": 12.64, 
        "fp32": 67.3
    }, 
    "nvs 310": {
        "bw": 14.0, 
        "fp32": 100.4
    }, 
    "nvs 3100m": {
        "bw": 12.8, 
        "fp32": 70.56
    }, 
    "nvs 315": {
        "bw": 14.0, 
        "fp32": 100.4
    }, 
    "nvs 400": {
        "bw": 2.0, 
        "fp32": 2.0
    }, 
    "nvs 420": {
        "bw": 2.0, 
        "fp32": 2.0
    }, 
    "nvs 4200m": {
        "bw": 12.8, 
        "fp32": 155.52
    }, 
    "nvs 495": {
        "bw": 2.0, 
        "fp32": 2.0
    }, 
    "nvs 510": {
        "bw": 28.51, 
        "fp32": 306.0
    }, 
    "nvs 5100m": {
        "bw": 25.6, 
        "fp32": 174.24
    }, 
    "nvs 5200m": {
        "bw": 25.12, 
        "fp32": 258.0
    }, 
    "nvs 5400m": {
        "bw": 28.8, 
        "fp32": 253.44
    }, 
    "nx-soc": {
        "bw": 25.6, 
        "fp32": 157.0
    }, 
    "p100 gpu accelerator": {
        "bw": 720.0, 
        "fp32": 9519.0, 
        "fp64": 4760.0
    }, 
    "p4 gpu accelerator": {
        "bw": 192.0, 
        "fp32": 4147.0, 
        "fp64": 129.6
    }, 
    "p40 gpu accelerator": {
        "bw": 345.6, 
        "fp32": 10007.0, 
        "fp64": 312.7
    }, 
    "quadro 1000m": {
        "bw": 28.8, 
        "fp32": 268.8
    }, 
    "quadro 2000": {
        "bw": 41.6, 
        "fp32": 480.0, 
        "fp64": 30.0
    }, 
    "quadro 2000d": {
        "bw": 41.6, 
        "fp32": 480.0
    }, 
    "quadro 2000m": {
        "bw": 28.8, 
        "fp32": 422.4
    }, 
    "quadro 3000m": {
        "bw": 80.0, 
        "fp32": 432.0
    }, 
    "quadro 400": {
        "bw": 12.32, 
        "fp32": 108.0
    }, 
    "quadro 4000": {
        "bw": 89.86, 
        "fp32": 486.4, 
        "fp64": 243.0
    }, 
    "quadro 4000 mac edition": {
        "bw": 89.86, 
        "fp32": 486.4
    }, 
    "quadro 4000m": {
        "bw": 80.0, 
        "fp32": 638.4
    }, 
    "quadro 410": {
        "bw": 14.4, 
        "fp32": 271.1
    }, 
    "quadro 5000": {
        "bw": 120.0, 
        "fp32": 722.3, 
        "fp64": 359.0
    }, 
    "quadro 5000 sdi": {
        "bw": 120.0, 
        "fp32": 722.3
    }, 
    "quadro 5000m": {
        "bw": 76.8, 
        "fp32": 518.4
    }, 
    "quadro 500m": {
        "bw": 28.8, 
        "fp32": 268.8
    }, 
    "quadro 5010m": {
        "bw": 83.2, 
        "fp32": 691.2
    }, 
    "quadro 600": {
        "bw": 25.6, 
        "fp32": 245.8, 
        "fp64": 15.0
    }, 
    "quadro 6000": {
        "bw": 144.0, 
        "fp32": 1028.61, 
        "fp64": 515.0
    }, 
    "quadro 7000": {
        "bw": 177.4, 
        "fp32": 1332.0, 
        "fp64": 667.0
    }, 
    "quadro cx": {
        "bw": 76.8, 
        "fp32": 693.5, 
        "fp64": 86.69
    }, 
    "quadro fx 1600m": {
        "bw": 25.6, 
        "fp32": 120.0
    }, 
    "quadro fx 1700": {
        "bw": 25.6, 
        "fp32": 88.32
    }, 
    "quadro fx 1700 mac edition": {
        "bw": 20.8, 
        "fp32": 66.56
    }, 
    "quadro fx 1700m": {
        "bw": 25.6, 
        "fp32": 148.8
    }, 
    "quadro fx 1800": {
        "bw": 38.4, 
        "fp32": 264.0
    }, 
    "quadro fx 1800m": {
        "bw": 35.2, 
        "fp32": 233.28
    }, 
    "quadro fx 2700m": {
        "bw": 51.2, 
        "fp32": 190.8
    }, 
    "quadro fx 2800m": {
        "bw": 64.0, 
        "fp32": 360.0
    }, 
    "quadro fx 3600m": {
        "bw": 51.2, 
        "fp32": 240.0
    }, 
    "quadro fx 360m": {
        "bw": 9.6, 
        "fp32": 38.4
    }, 
    "quadro fx 370": {
        "bw": 8.0, 
        "fp32": 34.56
    }, 
    "quadro fx 370 lp": {
        "bw": 8.0, 
        "fp32": 25.92
    }, 
    "quadro fx 3700": {
        "bw": 51.2, 
        "fp32": 420.0
    }, 
    "quadro fx 3700m": {
        "bw": 51.2, 
        "fp32": 528.0
    }, 
    "quadro fx 370m": {
        "bw": 9.6, 
        "fp32": 33.6
    }, 
    "quadro fx 380": {
        "bw": 22.4, 
        "fp32": 52.8
    }, 
    "quadro fx 380 lp": {
        "bw": 12.8, 
        "fp32": 67.3
    }, 
    "quadro fx 3800": {
        "bw": 51.2, 
        "fp32": 693.5, 
        "fp64": 86.69
    }, 
    "quadro fx 3800m": {
        "bw": 64.0, 
        "fp32": 648.19
    }, 
    "quadro fx 380m": {
        "bw": 12.8, 
        "fp32": 73.44
    }, 
    "quadro fx 4600": {
        "bw": 67.2, 
        "fp32": 345.0
    }, 
    "quadro fx 4600 sdi": {
        "bw": 67.2, 
        "fp32": 345.0
    }, 
    "quadro fx 470": {
        "bw": 12.8, 
        "fp32": 67.2
    }, 
    "quadro fx 4700 x2": {
        "bw": 51.2, 
        "fp32": 384.0
    }, 
    "quadro fx 4700x2": {
        "bw": 2.0, 
        "fp32": 2.0
    }, 
    "quadro fx 4800": {
        "bw": 76.8, 
        "fp32": 693.5, 
        "fp64": 86.69
    }, 
    "quadro fx 4800 mac edition": {
        "bw": 76.8, 
        "fp32": 462.3
    }, 
    "quadro fx 5600": {
        "bw": 76.8, 
        "fp32": 518.4
    }, 
    "quadro fx 5600 mac edition": {
        "bw": 76.8, 
        "fp32": 368.6
    }, 
    "quadro fx 570": {
        "bw": 12.8, 
        "fp32": 44.1
    }, 
    "quadro fx 570m": {
        "bw": 22.4, 
        "fp32": 91.2
    }, 
    "quadro fx 580": {
        "bw": 25.6, 
        "fp32": 108.0
    }, 
    "quadro fx 5800": {
        "bw": 102.4, 
        "fp32": 933.12, 
        "fp64": 116.64
    }, 
    "quadro fx 770m": {
        "bw": 25.6, 
        "fp32": 119.0
    }, 
    "quadro fx 880m": {
        "bw": 25.6, 
        "fp32": 174.24
    }, 
    "quadro gp100": {
        "bw": 921.6, 
        "fp32": 9519.0, 
        "fp64": 5300.0
    }, 
    "quadro k1000m": {
        "bw": 28.8, 
        "fp32": 326.4
    }, 
    "quadro k100m": {
        "bw": 12.8, 
        "fp32": 326.4
    }, 
    "quadro k1100m": {
        "bw": 44.8, 
        "fp32": 549.89
    }, 
    "quadro k1200": {
        "bw": 80.2, 
        "fp32": 1083.0
    }, 
    "quadro k2000": {
        "bw": 64.0, 
        "fp32": 732.7
    }, 
    "quadro k2000d": {
        "bw": 64.0, 
        "fp32": 732.7
    }, 
    "quadro k2000m": {
        "bw": 28.8, 
        "fp32": 572.2
    }, 
    "quadro k200m": {
        "bw": 12.8, 
        "fp32": 326.4
    }, 
    "quadro k2100m": {
        "bw": 48.13, 
        "fp32": 768.4
    }, 
    "quadro k2200": {
        "bw": 80.19, 
        "fp32": 1280.0, 
        "fp64": 40.0
    }, 
    "quadro k2200m": {
        "bw": 80.19, 
        "fp32": 853.8
    }, 
    "quadro k3000m": {
        "bw": 89.6, 
        "fp32": 753.41
    }, 
    "quadro k3100m": {
        "bw": 102.4, 
        "fp32": 1044.48
    }, 
    "quadro k4000": {
        "bw": 134.8, 
        "fp32": 1244.93
    }, 
    "quadro k4000m": {
        "bw": 89.6, 
        "fp32": 1152.0
    }, 
    "quadro k4100m": {
        "bw": 102.4, 
        "fp32": 1626.62
    }, 
    "quadro k420": {
        "bw": 28.51, 
        "fp32": 336.4, 
        "fp64": 12.48
    }, 
    "quadro k4200": {
        "bw": 172.8, 
        "fp32": 2096.64, 
        "fp64": 87.36
    }, 
    "quadro k5000": {
        "bw": 172.8, 
        "fp32": 2168.83, 
        "fp64": 90.4
    }, 
    "quadro k5000m": {
        "bw": 96.0, 
        "fp32": 1897.73
    }, 
    "quadro k500m": {
        "bw": 12.8, 
        "fp32": 326.4
    }, 
    "quadro k5100m": {
        "bw": 115.2, 
        "fp32": 2368.51
    }, 
    "quadro k510m": {
        "bw": 19.2, 
        "fp32": 326.4
    }, 
    "quadro k5200": {
        "bw": 192.3, 
        "fp32": 2995.2, 
        "fp64": 124.8
    }, 
    "quadro k600": {
        "bw": 28.51, 
        "fp32": 336.4
    }, 
    "quadro k6000": {
        "bw": 288.4, 
        "fp32": 5196.0, 
        "fp64": 1732.0
    }, 
    "quadro k610m": {
        "bw": 20.8, 
        "fp32": 376.32
    }, 
    "quadro k620": {
        "bw": 28.8, 
        "fp32": 863.2, 
        "fp64": 24.0
    }, 
    "quadro k620m": {
        "bw": 14.4, 
        "fp32": 863.2
    }, 
    "quadro m2000": {
        "bw": 105.8, 
        "fp32": 1812.5, 
        "fp64": 56.6
    }, 
    "quadro m2000m": {
        "bw": 80.2, 
        "fp32": 1390.0
    }, 
    "quadro m4000": {
        "bw": 192.4, 
        "fp32": 2662.4, 
        "fp64": 83.2
    }, 
    "quadro m5000": {
        "bw": 211.6, 
        "fp32": 4300.8, 
        "fp64": 134.4
    }, 
    "quadro m5000m": {
        "bw": 160.4, 
        "fp32": 2955.3
    }, 
    "quadro m500m": {
        "bw": 14.4, 
        "fp32": 863.2
    }, 
    "quadro m520 mobile": {
        "bw": 40.1, 
        "fp32": 799.5
    }, 
    "quadro m6000": {
        "bw": 317.4, 
        "fp32": 6070.0, 
        "fp64": 190.0
    }, 
    "quadro m600m": {
        "bw": 80.19, 
        "fp32": 863.2
    }, 
    "quadro nvs 130m": {
        "bw": 11.2, 
        "fp32": 19.2
    }, 
    "quadro nvs 135m": {
        "bw": 9.504, 
        "fp32": 38.4
    }, 
    "quadro nvs 140m": {
        "bw": 9.6, 
        "fp32": 38.4
    }, 
    "quadro nvs 150m": {
        "bw": 11.2, 
        "fp32": 31.2
    }, 
    "quadro nvs 160m": {
        "bw": 11.2, 
        "fp32": 34.8
    }, 
    "quadro nvs 290": {
        "bw": 6.4, 
        "fp32": 29.38
    }, 
    "quadro nvs 295": {
        "bw": 11.12, 
        "fp32": 20.8
    }, 
    "quadro nvs 320m": {
        "bw": 22.4, 
        "fp32": 110.4
    }, 
    "quadro nvs 420": {
        "bw": 11.2, 
        "fp32": 22.4
    }, 
    "quadro nvs 450": {
        "bw": 11.2, 
        "fp32": 19.2
    }, 
    "quadro p1000": {
        "bw": 82.0, 
        "fp32": 1894.0
    }, 
    "quadro p2000": {
        "bw": 160.2, 
        "fp32": 3000.0
    }, 
    "quadro p400": {
        "bw": 32.1, 
        "fp32": 679.9, 
        "fp64": 20.0
    }, 
    "quadro p4000": {
        "bw": 243.3, 
        "fp32": 5300.0
    }, 
    "quadro p5000": {
        "bw": 288.5, 
        "fp32": 8900.0, 
        "fp64": 300.0
    }, 
    "quadro p600": {
        "bw": 64.19, 
        "fp32": 1195.0
    }, 
    "quadro p6000": {
        "bw": 432.8, 
        "fp32": 10882.0, 
        "fp64": 375.0
    }, 
    "quadro plex 1000 model iv": {
        "bw": 76.8, 
        "fp32": 345.6
    }, 
    "quadro plex 2100 d4": {
        "bw": 51.2, 
        "fp32": 320.0
    }, 
    "quadro plex 2100 s4": {
        "bw": 76.8, 
        "fp32": 345.6
    }, 
    "quadro plex 2200 d2": {
        "bw": 102.4, 
        "fp32": 622.1
    }, 
    "quadro plex 2200 d2 visual computing system": {
        "bw": 2.0, 
        "fp32": 1866.2, 
        "fp64": 155.5
    }, 
    "quadro plex 2200 s4": {
        "bw": 102.4, 
        "fp32": 622.1
    }, 
    "quadro plex 2200 s4 visual computing system": {
        "bw": 4.0, 
        "fp32": 3732.5, 
        "fp64": 311.0
    }, 
    "quadro vx 200": {
        "bw": 51.2, 
        "fp32": 420.0
    }, 
    "radeon 3000 graphics": {
        "bw": 20.8, 
        "fp32": 28.0
    }, 
    "radeon 3100 graphics": {
        "bw": 20.8, 
        "fp32": 28.0
    }, 
    "radeon 520": {
        "bw": 48.0, 
        "fp32": 659.2
    }, 
    "radeon 530": {
        "bw": 48.0, 
        "fp32": 784.1
    }, 
    "radeon e2400": {
        "bw": 11.2, 
        "fp32": 48.0
    }, 
    "radeon e4690 mxm": {
        "bw": 22.4, 
        "fp32": 384.0
    }, 
    "radeon e4690 pcie": {
        "bw": 22.4, 
        "fp32": 384.0
    }, 
    "radeon e6460": {
        "bw": 25.6, 
        "fp32": 192.0
    }, 
    "radeon e6465": {
        "bw": 25.6, 
        "fp32": 192.0
    }, 
    "radeon e6760 mxm": {
        "bw": 51.2, 
        "fp32": 576.0
    }, 
    "radeon e6760 pcie": {
        "bw": 51.2, 
        "fp32": 576.0
    }, 
    "radeon e8860": {
        "bw": 72.0, 
        "fp32": 800.0
    }, 
    "radeon hd 2350": {
        "bw": 6.4, 
        "fp32": 42.0
    }, 
    "radeon hd 2350 pro": {
        "bw": 6.4, 
        "fp32": 42.0
    }, 
    "radeon hd 2400": {
        "bw": 7.92, 
        "fp32": 31.84
    }, 
    "radeon hd 2400 pro": {
        "bw": 6.4, 
        "fp32": 42.0
    }, 
    "radeon hd 2400 pro agp": {
        "bw": 6.4, 
        "fp32": 42.0
    }, 
    "radeon hd 2400 pro pci": {
        "bw": 6.4, 
        "fp32": 42.0
    }, 
    "radeon hd 2400 xt": {
        "bw": 8.0, 
        "fp32": 52.0
    }, 
    "radeon hd 2600 pro": {
        "bw": 16.0, 
        "fp32": 144.0
    }, 
    "radeon hd 2600 pro agp": {
        "bw": 12.67, 
        "fp32": 142.6
    }, 
    "radeon hd 2600 xt": {
        "bw": 35.2, 
        "fp32": 192.0
    }, 
    "radeon hd 2600 xt agp": {
        "bw": 12.96, 
        "fp32": 173.3
    }, 
    "radeon hd 2600 xt mac edition": {
        "bw": 25.6, 
        "fp32": 168.0
    }, 
    "radeon hd 2600 xt x2": {
        "bw": 25.6, 
        "fp32": 192.0
    }, 
    "radeon hd 2900 gt": {
        "bw": 51.2, 
        "fp32": 288.5
    }, 
    "radeon hd 2900 pro": {
        "bw": 51.2, 
        "fp32": 384.0
    }, 
    "radeon hd 2900 xt": {
        "bw": 106.0, 
        "fp32": 475.5
    }, 
    "radeon hd 2900 xtx": {
        "bw": 106.0, 
        "fp32": 475.5
    }, 
    "radeon hd 3200 graphics": {
        "bw": 20.8, 
        "fp32": 40.0
    }, 
    "radeon hd 3300 graphics": {
        "bw": 20.8, 
        "fp32": 56.0
    }, 
    "radeon hd 3410": {
        "bw": 6.34, 
        "fp32": 41.52
    }, 
    "radeon hd 3450": {
        "bw": 8.0, 
        "fp32": 48.0
    }, 
    "radeon hd 3450 agp": {
        "bw": 8.0, 
        "fp32": 48.0
    }, 
    "radeon hd 3450 pci": {
        "bw": 6.4, 
        "fp32": 48.0
    }, 
    "radeon hd 3470": {
        "bw": 15.2, 
        "fp32": 64.0
    }, 
    "radeon hd 3550": {
        "bw": 6.34, 
        "fp32": 47.52
    }, 
    "radeon hd 3570": {
        "bw": 7.92, 
        "fp32": 63.68
    }, 
    "radeon hd 3610": {
        "bw": 12.7, 
        "fp32": 142.6
    }, 
    "radeon hd 3650": {
        "bw": 25.6, 
        "fp32": 174.0
    }, 
    "radeon hd 3650 agp": {
        "bw": 16.0, 
        "fp32": 174.0
    }, 
    "radeon hd 3690": {
        "bw": 26.56, 
        "fp32": 428.8
    }, 
    "radeon hd 3730": {
        "bw": 13.0, 
        "fp32": 173.3
    }, 
    "radeon hd 3750": {
        "bw": 22.2, 
        "fp32": 191.0
    }, 
    "radeon hd 3830": {
        "bw": 26.5, 
        "fp32": 427.5, 
        "fp64": 85.4
    }, 
    "radeon hd 3850": {
        "bw": 53.12, 
        "fp32": 427.5, 
        "fp64": 85.4
    }, 
    "radeon hd 3850 agp": {
        "bw": 52.99, 
        "fp32": 427.5
    }, 
    "radeon hd 3850 x2": {
        "bw": 53.0, 
        "fp32": 855.0, 
        "fp64": 171.0
    }, 
    "radeon hd 3850 x3": {
        "bw": 54.4, 
        "fp32": 428.2
    }, 
    "radeon hd 3870": {
        "bw": 72.06, 
        "fp32": 497.3, 
        "fp64": 99.2
    }, 
    "radeon hd 3870 mac edition": {
        "bw": 72.06, 
        "fp32": 497.3
    }, 
    "radeon hd 3870 x2": {
        "bw": 57.66, 
        "fp32": 1056.0, 
        "fp64": 211.2
    }, 
    "radeon hd 4200 graphics": {
        "bw": 20.8, 
        "fp32": 40.0
    }, 
    "radeon hd 4250": {
        "bw": 6.336, 
        "fp32": 47.52
    }, 
    "radeon hd 4250 graphics": {
        "bw": 20.8, 
        "fp32": 44.8
    }, 
    "radeon hd 4290 graphics": {
        "bw": 20.8, 
        "fp32": 56.0
    }, 
    "radeon hd 4350": {
        "bw": 6.4, 
        "fp32": 96.0
    }, 
    "radeon hd 4350 agp": {
        "bw": 10.4, 
        "fp32": 96.0
    }, 
    "radeon hd 4350 pci": {
        "bw": 6.4, 
        "fp32": 96.0
    }, 
    "radeon hd 4350 pcie x1": {
        "bw": 6.4, 
        "fp32": 96.0
    }, 
    "radeon hd 4450": {
        "bw": 6.4, 
        "fp32": 96.0
    }, 
    "radeon hd 4520": {
        "bw": 6.4, 
        "fp32": 96.0
    }, 
    "radeon hd 4550": {
        "bw": 10.5, 
        "fp32": 96.0
    }, 
    "radeon hd 4570": {
        "bw": 8.0, 
        "fp32": 104.0
    }, 
    "radeon hd 4570 rebrand": {
        "bw": 12.67, 
        "fp32": 191.0
    }, 
    "radeon hd 4580": {
        "bw": 22.2, 
        "fp32": 191.0
    }, 
    "radeon hd 4650": {
        "bw": 22.4, 
        "fp32": 384.0
    }, 
    "radeon hd 4650 agp": {
        "bw": 12.8, 
        "fp32": 384.0
    }, 
    "radeon hd 4670": {
        "bw": 25.6, 
        "fp32": 480.0
    }, 
    "radeon hd 4670 agp": {
        "bw": 25.6, 
        "fp32": 480.0
    }, 
    "radeon hd 4670 x2": {
        "bw": 22.4, 
        "fp32": 480.0
    }, 
    "radeon hd 4700": {
        "bw": 12.8, 
        "fp32": 384.0
    }, 
    "radeon hd 4710": {
        "bw": 25.6, 
        "fp32": 480.0
    }, 
    "radeon hd 4720": {
        "bw": 21.34, 
        "fp32": 384.0
    }, 
    "radeon hd 4730": {
        "bw": 57.6, 
        "fp32": 960.0, 
        "fp64": 179.2
    }, 
    "radeon hd 4730 oem": {
        "bw": 25.34, 
        "fp32": 428.2
    }, 
    "radeon hd 4750": {
        "bw": 51.2, 
        "fp32": 934.4
    }, 
    "radeon hd 4770": {
        "bw": 51.2, 
        "fp32": 960.0, 
        "fp64": 192.0
    }, 
    "radeon hd 4810": {
        "bw": 57.6, 
        "fp32": 800.0, 
        "fp64": 160.0
    }, 
    "radeon hd 4830": {
        "bw": 57.6, 
        "fp32": 736.0, 
        "fp64": 147.2
    }, 
    "radeon hd 4850": {
        "bw": 63.55, 
        "fp32": 1000.0, 
        "fp64": 200.0
    }, 
    "radeon hd 4850 x2": {
        "bw": 63.7, 
        "fp32": 2000.0, 
        "fp64": 400.0
    }, 
    "radeon hd 4855": {
        "bw": 115.2, 
        "fp32": 736.0
    }, 
    "radeon hd 4860": {
        "bw": 96.0, 
        "fp32": 896.0, 
        "fp64": 179.2
    }, 
    "radeon hd 4870": {
        "bw": 115.2, 
        "fp32": 1200.0, 
        "fp64": 240.0
    }, 
    "radeon hd 4870 x2": {
        "bw": 115.2, 
        "fp32": 2400.0, 
        "fp64": 480.0
    }, 
    "radeon hd 4890": {
        "bw": 124.8, 
        "fp32": 1360.0, 
        "fp64": 272.0
    }, 
    "radeon hd 5450": {
        "bw": 6.4, 
        "fp32": 104.0
    }, 
    "radeon hd 5450 pci": {
        "bw": 5.328, 
        "fp32": 104.0
    }, 
    "radeon hd 5450 pcie x1": {
        "bw": 8.0, 
        "fp32": 104.0
    }, 
    "radeon hd 5470": {
        "bw": 6.4, 
        "fp32": 104.0
    }, 
    "radeon hd 5490": {
        "bw": 8.0, 
        "fp32": 104.0
    }, 
    "radeon hd 5530": {
        "bw": 9.6, 
        "fp32": 104.0
    }, 
    "radeon hd 5550": {
        "bw": 51.2, 
        "fp32": 352.0
    }, 
    "radeon hd 5570": {
        "bw": 16.0, 
        "fp32": 520.0
    }, 
    "radeon hd 5570 oem": {
        "bw": 21.34, 
        "fp32": 352.0
    }, 
    "radeon hd 5610": {
        "bw": 16.0, 
        "fp32": 520.0
    }, 
    "radeon hd 5630": {
        "bw": 12.48, 
        "fp32": 416.0
    }, 
    "radeon hd 5670": {
        "bw": 64.0, 
        "fp32": 620.0
    }, 
    "radeon hd 5670 640sp edition": {
        "bw": 64.0, 
        "fp32": 960.0
    }, 
    "radeon hd 5690": {
        "bw": 32.0, 
        "fp32": 620.0
    }, 
    "radeon hd 5730": {
        "bw": 64.0, 
        "fp32": 620.0
    }, 
    "radeon hd 5750": {
        "bw": 73.6, 
        "fp32": 1008.0
    }, 
    "radeon hd 5770": {
        "bw": 76.8, 
        "fp32": 1360.0
    }, 
    "radeon hd 5830": {
        "bw": 128.0, 
        "fp32": 1792.0, 
        "fp64": 358.4
    }, 
    "radeon hd 5850": {
        "bw": 128.0, 
        "fp32": 2088.0, 
        "fp64": 417.6
    }, 
    "radeon hd 5870": {
        "bw": 153.6, 
        "fp32": 2720.0, 
        "fp64": 544.0
    }, 
    "radeon hd 5870 eyefinity edition": {
        "bw": 153.6, 
        "fp32": 2720.0, 
        "fp64": 544.0
    }, 
    "radeon hd 5970": {
        "bw": 128.0, 
        "fp32": 4640.0, 
        "fp64": 928.0
    }, 
    "radeon hd 6230": {
        "bw": 8.0, 
        "fp32": 104.0
    }, 
    "radeon hd 6250": {
        "bw": 8.525, 
        "fp32": 104.0
    }, 
    "radeon hd 6290": {
        "bw": 12.8, 
        "fp32": 104.0
    }, 
    "radeon hd 6310": {
        "bw": 8.525, 
        "fp32": 80.0
    }, 
    "radeon hd 6320": {
        "bw": 10.6, 
        "fp32": 82.0
    }, 
    "radeon hd 6330m": {
        "bw": 12.8, 
        "fp32": 80.0
    }, 
    "radeon hd 6350": {
        "bw": 12.8, 
        "fp32": 104.0
    }, 
    "radeon hd 6350a": {
        "bw": 12.8, 
        "fp32": 104.0
    }, 
    "radeon hd 6350m": {
        "bw": 12.8, 
        "fp32": 80.0
    }, 
    "radeon hd 6370d": {
        "bw": 25.6, 
        "fp32": 142.0
    }, 
    "radeon hd 6370m": {
        "bw": 14.4, 
        "fp32": 120.0
    }, 
    "radeon hd 6380g": {
        "bw": 17.06, 
        "fp32": 128.0
    }, 
    "radeon hd 6390": {
        "bw": 16.0, 
        "fp32": 352.0
    }, 
    "radeon hd 6410d": {
        "bw": 29.9, 
        "fp32": 192.0
    }, 
    "radeon hd 6430m": {
        "bw": 12.8, 
        "fp32": 153.6
    }, 
    "radeon hd 6450": {
        "bw": 25.6, 
        "fp32": 200.0
    }, 
    "radeon hd 6450 oem": {
        "bw": 8.528, 
        "fp32": 200.0
    }, 
    "radeon hd 6450a": {
        "bw": 8.528, 
        "fp32": 200.0
    }, 
    "radeon hd 6450m": {
        "bw": 12.8, 
        "fp32": 192.0
    }, 
    "radeon hd 6470m": {
        "bw": 12.8, 
        "fp32": 224.0
    }, 
    "radeon hd 6480g": {
        "bw": 17.06, 
        "fp32": 213.1
    }, 
    "radeon hd 6490": {
        "bw": 16.0, 
        "fp32": 352.0
    }, 
    "radeon hd 6490m": {
        "bw": 25.6, 
        "fp32": 256.0
    }, 
    "radeon hd 6490m mac edition": {
        "bw": 25.41, 
        "fp32": 240.0
    }, 
    "radeon hd 6510": {
        "bw": 16.0, 
        "fp32": 624.0
    }, 
    "radeon hd 6520g": {
        "bw": 17.06, 
        "fp32": 256.0
    }, 
    "radeon hd 6530": {
        "bw": 19.2, 
        "fp32": 520.0
    }, 
    "radeon hd 6530d": {
        "bw": 29.9, 
        "fp32": 284.0
    }, 
    "radeon hd 6530m": {
        "bw": 28.8, 
        "fp32": 400.0
    }, 
    "radeon hd 6550a": {
        "bw": 28.8, 
        "fp32": 624.0
    }, 
    "radeon hd 6550d": {
        "bw": 29.9, 
        "fp32": 480.0
    }, 
    "radeon hd 6550m": {
        "bw": 28.8, 
        "fp32": 480.0
    }, 
    "radeon hd 6570": {
        "bw": 64.0, 
        "fp32": 624.0
    }, 
    "radeon hd 6570 oem": {
        "bw": 72.0, 
        "fp32": 614.4
    }, 
    "radeon hd 6570m": {
        "bw": 28.8, 
        "fp32": 576.0
    }, 
    "radeon hd 6570m mac edition": {
        "bw": 25.6, 
        "fp32": 480.0
    }, 
    "radeon hd 6610": {
        "bw": 25.6, 
        "fp32": 520.0
    }, 
    "radeon hd 6610m": {
        "bw": 25.6, 
        "fp32": 432.0
    }, 
    "radeon hd 6620g": {
        "bw": 25.6, 
        "fp32": 355.2
    }, 
    "radeon hd 6625m": {
        "bw": 25.6, 
        "fp32": 432.0
    }, 
    "radeon hd 6630m": {
        "bw": 51.2, 
        "fp32": 480.0
    }, 
    "radeon hd 6630m mac edition": {
        "bw": 19.2, 
        "fp32": 480.0
    }, 
    "radeon hd 6650a": {
        "bw": 28.8, 
        "fp32": 576.0
    }, 
    "radeon hd 6650m": {
        "bw": 28.8, 
        "fp32": 576.0
    }, 
    "radeon hd 6670": {
        "bw": 64.0, 
        "fp32": 768.0
    }, 
    "radeon hd 6670a": {
        "bw": 64.0, 
        "fp32": 576.0
    }, 
    "radeon hd 6730m": {
        "bw": 25.6, 
        "fp32": 696.0
    }, 
    "radeon hd 6750": {
        "bw": 73.6, 
        "fp32": 1008.0
    }, 
    "radeon hd 6750m": {
        "bw": 51.2, 
        "fp32": 576.0
    }, 
    "radeon hd 6750m mac edition": {
        "bw": 50.82, 
        "fp32": 574.1
    }, 
    "radeon hd 6770": {
        "bw": 76.8, 
        "fp32": 1360.0
    }, 
    "radeon hd 6770m": {
        "bw": 57.6, 
        "fp32": 696.0
    }, 
    "radeon hd 6770m mac edition": {
        "bw": 57.6, 
        "fp32": 696.0
    }, 
    "radeon hd 6790": {
        "bw": 134.4, 
        "fp32": 1344.0
    }, 
    "radeon hd 6830m": {
        "bw": 25.6, 
        "fp32": 920.0
    }, 
    "radeon hd 6850": {
        "bw": 128.0, 
        "fp32": 1488.0
    }, 
    "radeon hd 6850m": {
        "bw": 57.6, 
        "fp32": 920.0
    }, 
    "radeon hd 6870": {
        "bw": 134.4, 
        "fp32": 2016.0
    }, 
    "radeon hd 6870m": {
        "bw": 64.0, 
        "fp32": 1080.0
    }, 
    "radeon hd 6930": {
        "bw": 153.6, 
        "fp32": 1920.0, 
        "fp64": 480.0
    }, 
    "radeon hd 6950": {
        "bw": 160.0, 
        "fp32": 2253.0, 
        "fp64": 563.0
    }, 
    "radeon hd 6950m": {
        "bw": 115.2, 
        "fp32": 1113.6
    }, 
    "radeon hd 6970": {
        "bw": 176.0, 
        "fp32": 2703.0, 
        "fp64": 675.0
    }, 
    "radeon hd 6970m": {
        "bw": 115.2, 
        "fp32": 1305.6
    }, 
    "radeon hd 6990": {
        "bw": 160.0, 
        "fp32": 5099.0, 
        "fp64": 1276.88
    }, 
    "radeon hd 6990m": {
        "bw": 115.2, 
        "fp32": 1601.6
    }, 
    "radeon hd 7330m": {
        "bw": 12.8, 
        "fp32": 80.0
    }, 
    "radeon hd 7350": {
        "bw": 6.4, 
        "fp32": 104.0
    }, 
    "radeon hd 7350 oem": {
        "bw": 12.8, 
        "fp32": 104.0
    }, 
    "radeon hd 7350 pci": {
        "bw": 8.0, 
        "fp32": 104.0
    }, 
    "radeon hd 7350m": {
        "bw": 14.4, 
        "fp32": 80.0
    }, 
    "radeon hd 7370m": {
        "bw": 12.8, 
        "fp32": 120.0
    }, 
    "radeon hd 7400g": {
        "bw": 21.33, 
        "fp32": 125.57
    }, 
    "radeon hd 7420g": {
        "bw": 21.33, 
        "fp32": 122.88
    }, 
    "radeon hd 7430m": {
        "bw": 14.4, 
        "fp32": 192.0
    }, 
    "radeon hd 7450": {
        "bw": 8.5, 
        "fp32": 200.0
    }, 
    "radeon hd 7450 oem": {
        "bw": 8.528, 
        "fp32": 200.0
    }, 
    "radeon hd 7450a": {
        "bw": 12.8, 
        "fp32": 200.0
    }, 
    "radeon hd 7450m": {
        "bw": 14.4, 
        "fp32": 224.0
    }, 
    "radeon hd 7470": {
        "bw": 12.8, 
        "fp32": 200.0
    }, 
    "radeon hd 7470 oem": {
        "bw": 28.8, 
        "fp32": 240.0
    }, 
    "radeon hd 7470a": {
        "bw": 12.8, 
        "fp32": 200.0
    }, 
    "radeon hd 7470m": {
        "bw": 14.4, 
        "fp32": 240.0
    }, 
    "radeon hd 7480d": {
        "bw": 25.6, 
        "fp32": 185.0
    }, 
    "radeon hd 7490m": {
        "bw": 30.4, 
        "fp32": 256.0
    }, 
    "radeon hd 7500g": {
        "bw": 21.33, 
        "fp32": 167.42
    }, 
    "radeon hd 7510": {
        "bw": 21.3, 
        "fp32": 416.0
    }, 
    "radeon hd 7510 oem": {
        "bw": 21.34, 
        "fp32": 416.0
    }, 
    "radeon hd 7510m": {
        "bw": 12.8, 
        "fp32": 360.0
    }, 
    "radeon hd 7520g": {
        "bw": 21.33, 
        "fp32": 190.46
    }, 
    "radeon hd 7530m": {
        "bw": 14.4, 
        "fp32": 360.0
    }, 
    "radeon hd 7540d": {
        "bw": 29.9, 
        "fp32": 292.0
    }, 
    "radeon hd 7550m": {
        "bw": 28.8, 
        "fp32": 480.0
    }, 
    "radeon hd 7560d": {
        "bw": 29.9, 
        "fp32": 389.0
    }, 
    "radeon hd 7570": {
        "bw": 28.8, 
        "fp32": 624.0
    }, 
    "radeon hd 7570 oem": {
        "bw": 25.6, 
        "fp32": 520.0
    }, 
    "radeon hd 7570m": {
        "bw": 25.6, 
        "fp32": 480.0
    }, 
    "radeon hd 7590m": {
        "bw": 25.6, 
        "fp32": 576.0
    }, 
    "radeon hd 7600g": {
        "bw": 21.33, 
        "fp32": 245.76
    }, 
    "radeon hd 7610m": {
        "bw": 25.6, 
        "fp32": 360.0
    }, 
    "radeon hd 7620g": {
        "bw": 21.33, 
        "fp32": 276.48
    }, 
    "radeon hd 7630m": {
        "bw": 25.6, 
        "fp32": 432.0
    }, 
    "radeon hd 7640g": {
        "bw": 21.33, 
        "fp32": 253.95
    }, 
    "radeon hd 7650a": {
        "bw": 28.8, 
        "fp32": 576.0
    }, 
    "radeon hd 7650m": {
        "bw": 25.6, 
        "fp32": 432.0
    }, 
    "radeon hd 7650m rebrand": {
        "bw": 25.6, 
        "fp32": 465.6
    }, 
    "radeon hd 7660d": {
        "bw": 29.9, 
        "fp32": 584.0
    }, 
    "radeon hd 7660g": {
        "bw": 21.33, 
        "fp32": 380.93
    }, 
    "radeon hd 7670": {
        "bw": 64.0, 
        "fp32": 768.0
    }, 
    "radeon hd 7670 oem": {
        "bw": 64.0, 
        "fp32": 768.0
    }, 
    "radeon hd 7670a": {
        "bw": 64.0, 
        "fp32": 576.0
    }, 
    "radeon hd 7670m": {
        "bw": 28.8, 
        "fp32": 576.0
    }, 
    "radeon hd 7670m rebrand": {
        "bw": 28.8, 
        "fp32": 576.0
    }, 
    "radeon hd 7690m": {
        "bw": 28.8, 
        "fp32": 696.0
    }, 
    "radeon hd 7690m rebrand": {
        "bw": 25.6, 
        "fp32": 576.0
    }, 
    "radeon hd 7690m xt": {
        "bw": 57.6, 
        "fp32": 696.0
    }, 
    "radeon hd 7690m xt rebrand": {
        "bw": 51.2, 
        "fp32": 696.0
    }, 
    "radeon hd 7730": {
        "bw": 72.0, 
        "fp32": 614.4, 
        "fp64": 38.4
    }, 
    "radeon hd 7730m": {
        "bw": 28.8, 
        "fp32": 691.2
    }, 
    "radeon hd 7750": {
        "bw": 72.0, 
        "fp32": 819.2, 
        "fp64": 51.2
    }, 
    "radeon hd 7750m": {
        "bw": 64.0, 
        "fp32": 588.8
    }, 
    "radeon hd 7770 ghz edition": {
        "bw": 72.0, 
        "fp32": 1280.0, 
        "fp64": 80.0
    }, 
    "radeon hd 7770m": {
        "bw": 64.0, 
        "fp32": 691.2
    }, 
    "radeon hd 7790": {
        "bw": 96.0, 
        "fp32": 1792.0, 
        "fp64": 128.0
    }, 
    "radeon hd 7850": {
        "bw": 153.6, 
        "fp32": 1761.28, 
        "fp64": 110.08
    }, 
    "radeon hd 7850m": {
        "bw": 64.0, 
        "fp32": 864.0
    }, 
    "radeon hd 7870 ghz edition": {
        "bw": 153.6, 
        "fp32": 2560.0, 
        "fp64": 160.0
    }, 
    "radeon hd 7870 xt": {
        "bw": 192.0, 
        "fp32": 2841.6, 
        "fp64": 710.4
    }, 
    "radeon hd 7870m": {
        "bw": 64.0, 
        "fp32": 1024.0
    }, 
    "radeon hd 7950": {
        "bw": 240.0, 
        "fp32": 2867.2, 
        "fp64": 717.0
    }, 
    "radeon hd 7950 boost": {
        "bw": 240.0, 
        "fp32": 3046.4, 
        "fp64": 761.6
    }, 
    "radeon hd 7970": {
        "bw": 264.0, 
        "fp32": 3788.8, 
        "fp64": 947.2
    }, 
    "radeon hd 7970 ghz edition": {
        "bw": 288.0, 
        "fp32": 4096.0, 
        "fp64": 1024.0
    }, 
    "radeon hd 7970m": {
        "bw": 153.6, 
        "fp32": 2176.0
    }, 
    "radeon hd 7990": {
        "bw": 288.0, 
        "fp32": 8200.0, 
        "fp64": 1894.0
    }, 
    "radeon hd 8350": {
        "bw": 6.4, 
        "fp32": 104.0
    }, 
    "radeon hd 8350 oem": {
        "bw": 10.67, 
        "fp32": 104.0
    }, 
    "radeon hd 8450": {
        "bw": 8.53, 
        "fp32": 200.0
    }, 
    "radeon hd 8450 oem": {
        "bw": 10.67, 
        "fp32": 200.0
    }, 
    "radeon hd 8470": {
        "bw": 25.6, 
        "fp32": 240.0
    }, 
    "radeon hd 8470 oem": {
        "bw": 25.6, 
        "fp32": 248.0
    }, 
    "radeon hd 8490": {
        "bw": 28.8, 
        "fp32": 280.0
    }, 
    "radeon hd 8490 oem": {
        "bw": 14.4, 
        "fp32": 280.0
    }, 
    "radeon hd 8510 oem": {
        "bw": 25.6, 
        "fp32": 624.0
    }, 
    "radeon hd 8530m": {
        "bw": 14.4, 
        "fp32": 537.6
    }, 
    "radeon hd 8550 oem": {
        "bw": 25.6, 
        "fp32": 624.0
    }, 
    "radeon hd 8550m": {
        "bw": 14.4, 
        "fp32": 544.0
    }, 
    "radeon hd 8550m / 8630m": {
        "bw": 14.4, 
        "fp32": 537.6
    }, 
    "radeon hd 8570": {
        "bw": 28.8, 
        "fp32": 560.0, 
        "fp64": 35.0
    }, 
    "radeon hd 8570 oem": {
        "bw": 28.8, 
        "fp32": 599.0
    }, 
    "radeon hd 8570 oem rebrand": {
        "bw": 25.6, 
        "fp32": 624.0
    }, 
    "radeon hd 8570a": {
        "bw": 16.0, 
        "fp32": 528.0
    }, 
    "radeon hd 8570m": {
        "bw": 16.0, 
        "fp32": 528.0
    }, 
    "radeon hd 8570m / 8650m": {
        "bw": 36.0, 
        "fp32": 537.6
    }, 
    "radeon hd 8590m": {
        "bw": 36.0, 
        "fp32": 528.0
    }, 
    "radeon hd 8670": {
        "bw": 72.0, 
        "fp32": 768.0, 
        "fp64": 48.0
    }, 
    "radeon hd 8670 oem": {
        "bw": 73.6, 
        "fp32": 806.4
    }, 
    "radeon hd 8670a": {
        "bw": 16.0, 
        "fp32": 384.0
    }, 
    "radeon hd 8670m": {
        "bw": 14.4, 
        "fp32": 633.6
    }, 
    "radeon hd 8690m": {
        "bw": 36.0, 
        "fp32": 633.6
    }, 
    "radeon hd 8730": {
        "bw": 72.0, 
        "fp32": 614.4, 
        "fp64": 44.8
    }, 
    "radeon hd 8730 oem": {
        "bw": 72.0, 
        "fp32": 614.4
    }, 
    "radeon hd 8730a": {
        "bw": 32.0, 
        "fp32": 537.6
    }, 
    "radeon hd 8730m": {
        "bw": 32.0, 
        "fp32": 537.6
    }, 
    "radeon hd 8740 oem": {
        "bw": 72.0, 
        "fp32": 819.2
    }, 
    "radeon hd 8750a": {
        "bw": 16.0, 
        "fp32": 460.8
    }, 
    "radeon hd 8750m": {
        "bw": 64.0, 
        "fp32": 595.2
    }, 
    "radeon hd 8760": {
        "bw": 72.0, 
        "fp32": 1280.0, 
        "fp64": 80.0
    }, 
    "radeon hd 8770": {
        "bw": 96.0, 
        "fp32": 1792.0, 
        "fp64": 128.0
    }, 
    "radeon hd 8770m": {
        "bw": 72.0, 
        "fp32": 633.6
    }, 
    "radeon hd 8790m": {
        "bw": 72.0, 
        "fp32": 691.2
    }, 
    "radeon hd 8830m": {
        "bw": 32.0, 
        "fp32": 800.0
    }, 
    "radeon hd 8850m": {
        "bw": 32.0, 
        "fp32": 800.0
    }, 
    "radeon hd 8870": {
        "bw": 153.6, 
        "fp32": 2560.0, 
        "fp64": 160.0
    }, 
    "radeon hd 8870m": {
        "bw": 72.0, 
        "fp32": 992.0
    }, 
    "radeon hd 8950": {
        "bw": 240.0, 
        "fp32": 3046.4, 
        "fp64": 761.6
    }, 
    "radeon hd 8970": {
        "bw": 288.0, 
        "fp32": 4096.0, 
        "fp64": 1024.0
    }, 
    "radeon hd 8970m": {
        "bw": 153.6, 
        "fp32": 2304.0
    }, 
    "radeon hd 8990": {
        "bw": 2.0, 
        "fp32": 7782.0, 
        "fp64": 1946.0
    }, 
    "radeon pro 450": {
        "bw": 81.28, 
        "fp32": 928.0
    }, 
    "radeon pro 455": {
        "bw": 81.28, 
        "fp32": 1305.6
    }, 
    "radeon pro 460": {
        "bw": 81.28, 
        "fp32": 1740.8
    }, 
    "radeon pro 555": {
        "bw": 81.6, 
        "fp32": 1300.0
    }, 
    "radeon pro 560": {
        "bw": 81.28, 
        "fp32": 1900.0
    }, 
    "radeon pro 570": {
        "bw": 217.6, 
        "fp32": 3600.0
    }, 
    "radeon pro 575": {
        "bw": 217.6, 
        "fp32": 4500.0
    }, 
    "radeon pro 580": {
        "bw": 256.0, 
        "fp32": 5500.0
    }, 
    "radeon pro duo": {
        "bw": 512.0, 
        "fp32": 16384.0, 
        "fp64": 1024.0
    }, 
    "radeon pro ssg": {
        "bw": 483.84, 
        "fp16": 24600.0, 
        "fp32": 12290.0, 
        "fp64": 768.0
    }, 
    "radeon pro wx 2100": {
        "bw": 56.0, 
        "fp32": 1250.0, 
        "fp64": 78.0
    }, 
    "radeon pro wx 3100": {
        "bw": 96.0, 
        "fp32": 1250.0, 
        "fp64": 78.0
    }, 
    "radeon pro wx 4100": {
        "bw": 112.0, 
        "fp32": 1890.0
    }, 
    "radeon pro wx 5100": {
        "bw": 211.2, 
        "fp32": 3320.0
    }, 
    "radeon pro wx 7100": {
        "bw": 256.0, 
        "fp32": 4150.0
    }, 
    "radeon pro wx 9100": {
        "bw": 483.84, 
        "fp16": 24600.0, 
        "fp32": 12290.0, 
        "fp64": 768.0
    }, 
    "radeon r5 210": {
        "bw": 7.2, 
        "fp32": 64.0
    }, 
    "radeon r5 220": {
        "bw": 8.53, 
        "fp32": 200.0
    }, 
    "radeon r5 220 oem": {
        "bw": 8.528, 
        "fp32": 104.0
    }, 
    "radeon r5 230": {
        "bw": 10.67, 
        "fp32": 200.0
    }, 
    "radeon r5 230 oem": {
        "bw": 10.67, 
        "fp32": 200.0
    }, 
    "radeon r5 235": {
        "bw": 14.4, 
        "fp32": 248.0
    }, 
    "radeon r5 235 oem": {
        "bw": 14.4, 
        "fp32": 248.0
    }, 
    "radeon r5 235x": {
        "bw": 14.4, 
        "fp32": 280.0
    }, 
    "radeon r5 235x oem": {
        "bw": 14.4, 
        "fp32": 280.0
    }, 
    "radeon r5 240": {
        "bw": 28.8, 
        "fp32": 467.2, 
        "fp64": 29.2
    }, 
    "radeon r5 240 oem": {
        "bw": 28.8, 
        "fp32": 499.2
    }, 
    "radeon r5 310 oem": {
        "bw": 14.4, 
        "fp32": 280.0
    }, 
    "radeon r5 330": {
        "bw": 28.8, 
        "fp32": 547.2, 
        "fp64": 34.2
    }, 
    "radeon r5 330 oem": {
        "bw": 28.8, 
        "fp32": 547.2
    }, 
    "radeon r5 340": {
        "bw": 72.0, 
        "fp32": 633.6, 
        "fp64": 39.6
    }, 
    "radeon r5 340 oem": {
        "bw": 73.6, 
        "fp32": 599.0
    }, 
    "radeon r5 340x oem": {
        "bw": 72.0, 
        "fp32": 806.4
    }, 
    "radeon r5 430": {
        "bw": 28.8, 
        "fp32": 560.0, 
        "fp64": 37.4
    }, 
    "radeon r5 430 oem": {
        "bw": 28.8, 
        "fp32": 599.0
    }, 
    "radeon r5 435": {
        "bw": 16.0, 
        "fp32": 659.0, 
        "fp64": 41.2
    }, 
    "radeon r5 435 oem": {
        "bw": 16.0, 
        "fp32": 659.2
    }, 
    "radeon r5 a220": {
        "bw": 14.4, 
        "fp32": 248.0
    }, 
    "radeon r5 a230": {
        "bw": 16.0, 
        "fp32": 547.2
    }, 
    "radeon r5 a240": {
        "bw": 28.8, 
        "fp32": 499.2
    }, 
    "radeon r5 a255": {
        "bw": 64.0, 
        "fp32": 721.9
    }, 
    "radeon r5 a320": {
        "bw": 16.0, 
        "fp32": 528.0
    }, 
    "radeon r5 a335": {
        "bw": 14.4, 
        "fp32": 684.8
    }, 
    "radeon r5 m230": {
        "bw": 16.0, 
        "fp32": 547.2
    }, 
    "radeon r5 m230 rebrand": {
        "bw": 14.4, 
        "fp32": 528.0
    }, 
    "radeon r5 m240": {
        "bw": 14.4, 
        "fp32": 659.2
    }, 
    "radeon r5 m240 rebrand": {
        "bw": 14.4, 
        "fp32": 537.6
    }, 
    "radeon r5 m250": {
        "bw": 14.4, 
        "fp32": 448.0
    }, 
    "radeon r5 m255": {
        "bw": 64.0, 
        "fp32": 721.9
    }, 
    "radeon r5 m315": {
        "bw": 14.4, 
        "fp32": 745.0
    }, 
    "radeon r5 m320": {
        "bw": 16.0, 
        "fp32": 547.2
    }, 
    "radeon r5 m330": {
        "bw": 14.4, 
        "fp32": 659.2
    }, 
    "radeon r5 m335": {
        "bw": 17.6, 
        "fp32": 684.8
    }, 
    "radeon r5 m420": {
        "bw": 16.0, 
        "fp32": 547.2
    }, 
    "radeon r5 m430": {
        "bw": 16.0, 
        "fp32": 659.2
    }, 
    "radeon r5 m435": {
        "bw": 32.0, 
        "fp32": 547.2
    }, 
    "radeon r5 m445": {
        "bw": 14.4, 
        "fp32": 752.6
    }, 
    "radeon r5 m465": {
        "bw": 16.0, 
        "fp32": 779.5
    }, 
    "radeon r7 240": {
        "bw": 28.8, 
        "fp32": 499.2, 
        "fp64": 29.2
    }, 
    "radeon r7 250": {
        "bw": 73.6, 
        "fp32": 947.2, 
        "fp64": 48.0
    }, 
    "radeon r7 250 oem": {
        "bw": 73.6, 
        "fp32": 806.4
    }, 
    "radeon r7 250e": {
        "bw": 72.0, 
        "fp32": 819.2, 
        "fp64": 51.2
    }, 
    "radeon r7 250x": {
        "bw": 72.0, 
        "fp32": 1280.0, 
        "fp64": 80.0
    }, 
    "radeon r7 260": {
        "bw": 96.0, 
        "fp32": 1536.0, 
        "fp64": 96.0
    }, 
    "radeon r7 260x": {
        "bw": 104.0, 
        "fp32": 1971.2, 
        "fp64": 123.2
    }, 
    "radeon r7 265": {
        "bw": 179.2, 
        "fp32": 1843.2, 
        "fp64": 115.2
    }, 
    "radeon r7 340": {
        "bw": 72.0, 
        "fp32": 560.6, 
        "fp64": 35.0
    }, 
    "radeon r7 340 oem": {
        "bw": 28.8, 
        "fp32": 599.0
    }, 
    "radeon r7 350": {
        "bw": 72.0, 
        "fp32": 947.2, 
        "fp64": 59.2
    }, 
    "radeon r7 350 oem": {
        "bw": 72.0, 
        "fp32": 806.4
    }, 
    "radeon r7 350x oem": {
        "bw": 32.0, 
        "fp32": 806.4
    }, 
    "radeon r7 360": {
        "bw": 104.0, 
        "fp32": 1612.8, 
        "fp64": 100.8
    }, 
    "radeon r7 370": {
        "bw": 179.2, 
        "fp32": 1996.8, 
        "fp64": 124.8
    }, 
    "radeon r7 430": {
        "bw": 28.8, 
        "fp32": 560.0, 
        "fp64": 37.4
    }, 
    "radeon r7 430 oem": {
        "bw": 28.8, 
        "fp32": 599.0
    }, 
    "radeon r7 435": {
        "bw": 16.0, 
        "fp32": 589.0, 
        "fp64": 36.8
    }, 
    "radeon r7 435 oem": {
        "bw": 16.0, 
        "fp32": 588.8
    }, 
    "radeon r7 450": {
        "bw": 72.0, 
        "fp32": 1075.0, 
        "fp64": 65.2
    }, 
    "radeon r7 450 oem": {
        "bw": 72.0, 
        "fp32": 947.2
    }, 
    "radeon r7 455": {
        "bw": 104.0, 
        "fp32": 1613.0, 
        "fp64": 100.8
    }, 
    "radeon r7 a260": {
        "bw": 57.6, 
        "fp32": 752.6
    }, 
    "radeon r7 a265": {
        "bw": 28.8, 
        "fp32": 633.6
    }, 
    "radeon r7 a360": {
        "bw": 57.6, 
        "fp32": 752.6
    }, 
    "radeon r7 m260": {
        "bw": 57.6, 
        "fp32": 721.9
    }, 
    "radeon r7 m260x": {
        "bw": 64.0, 
        "fp32": 549.0
    }, 
    "radeon r7 m265": {
        "bw": 28.8, 
        "fp32": 752.6
    }, 
    "radeon r7 m270": {
        "bw": 28.8, 
        "fp32": 633.6
    }, 
    "radeon r7 m340": {
        "bw": 16.0, 
        "fp32": 549.1
    }, 
    "radeon r7 m350": {
        "bw": 16.0, 
        "fp32": 779.5
    }, 
    "radeon r7 m360": {
        "bw": 16.0, 
        "fp32": 864.0
    }, 
    "radeon r7 m365": {
        "bw": 32.0, 
        "fp32": 737.3
    }, 
    "radeon r7 m370": {
        "bw": 73.6, 
        "fp32": 737.3
    }, 
    "radeon r7 m435": {
        "bw": 32.0, 
        "fp32": 499.0
    }, 
    "radeon r7 m440": {
        "bw": 16.0, 
        "fp32": 653.4
    }, 
    "radeon r7 m445": {
        "bw": 32.0, 
        "fp32": 588.8
    }, 
    "radeon r7 m460": {
        "bw": 14.4, 
        "fp32": 864.0
    }, 
    "radeon r7 m465": {
        "bw": 32.0, 
        "fp32": 737.3
    }, 
    "radeon r7 m465x": {
        "bw": 72.0, 
        "fp32": 947.2
    }, 
    "radeon r7 m520": {
        "bw": 16.0, 
        "fp32": 659.2
    }, 
    "radeon r9 255 oem": {
        "bw": 73.6, 
        "fp32": 952.3
    }, 
    "radeon r9 270": {
        "bw": 179.2, 
        "fp32": 2304.0, 
        "fp64": 144.0
    }, 
    "radeon r9 270x": {
        "bw": 179.2, 
        "fp32": 2560.0, 
        "fp64": 160.0
    }, 
    "radeon r9 280": {
        "bw": 240.0, 
        "fp32": 2964.0, 
        "fp64": 741.0
    }, 
    "radeon r9 280x": {
        "bw": 288.0, 
        "fp32": 3481.6, 
        "fp64": 870.4
    }, 
    "radeon r9 285": {
        "bw": 176.0, 
        "fp32": 3290.0, 
        "fp64": 206.6
    }, 
    "radeon r9 290": {
        "bw": 320.0, 
        "fp32": 4848.6, 
        "fp64": 606.1
    }, 
    "radeon r9 290x": {
        "bw": 320.0, 
        "fp32": 5632.0, 
        "fp64": 704.0
    }, 
    "radeon r9 295x2": {
        "bw": 320.0, 
        "fp32": 2.0, 
        "fp64": 2.0
    }, 
    "radeon r9 360": {
        "bw": 104.0, 
        "fp32": 1536.0, 
        "fp64": 96.0
    }, 
    "radeon r9 370": {
        "bw": 179.2, 
        "fp32": 1945.6, 
        "fp64": 121.6
    }, 
    "radeon r9 370x": {
        "bw": 179.2, 
        "fp32": 2560.0, 
        "fp64": 160.0
    }, 
    "radeon r9 380": {
        "bw": 182.4, 
        "fp32": 3476.5, 
        "fp64": 217.3
    }, 
    "radeon r9 380x": {
        "bw": 182.4, 
        "fp32": 3973.1, 
        "fp64": 248.3
    }, 
    "radeon r9 390": {
        "bw": 384.0, 
        "fp32": 5120.0, 
        "fp64": 640.0
    }, 
    "radeon r9 390x": {
        "bw": 384.0, 
        "fp32": 5913.6, 
        "fp64": 739.2
    }, 
    "radeon r9 fury": {
        "bw": 512.0, 
        "fp32": 7168.0, 
        "fp64": 448.0
    }, 
    "radeon r9 fury x": {
        "bw": 512.0, 
        "fp32": 8601.6, 
        "fp64": 537.6
    }, 
    "radeon r9 m265x": {
        "bw": 72.0, 
        "fp32": 800.0
    }, 
    "radeon r9 m270x": {
        "bw": 88.0, 
        "fp32": 992.0
    }, 
    "radeon r9 m275x": {
        "bw": 72.0, 
        "fp32": 1184.0
    }, 
    "radeon r9 m280x": {
        "bw": 96.0, 
        "fp32": 1792.0
    }, 
    "radeon r9 m290x": {
        "bw": 153.6, 
        "fp32": 2176.0
    }, 
    "radeon r9 m295x": {
        "bw": 176.0, 
        "fp32": 3276.8
    }, 
    "radeon r9 m360": {
        "bw": 72.0, 
        "fp32": 947.2
    }, 
    "radeon r9 m365x": {
        "bw": 72.0, 
        "fp32": 1184.0
    }, 
    "radeon r9 m370x": {
        "bw": 72.0, 
        "fp32": 1024.0
    }, 
    "radeon r9 m375": {
        "bw": 35.2, 
        "fp32": 1299.2
    }, 
    "radeon r9 m375x": {
        "bw": 72.0, 
        "fp32": 1299.2
    }, 
    "radeon r9 m380": {
        "bw": 96.0, 
        "fp32": 1152.0
    }, 
    "radeon r9 m385x": {
        "bw": 96.0, 
        "fp32": 1971.2
    }, 
    "radeon r9 m390": {
        "bw": 174.7, 
        "fp32": 1962.0
    }, 
    "radeon r9 m390x": {
        "bw": 160.0, 
        "fp32": 2961.4
    }, 
    "radeon r9 m395": {
        "bw": 174.7, 
        "fp32": 2989.0
    }, 
    "radeon r9 m395x amethyst xt": {
        "bw": 174.7, 
        "fp32": 3723.3
    }, 
    "radeon r9 m470": {
        "bw": 96.0, 
        "fp32": 1382.0
    }, 
    "radeon r9 m470x": {
        "bw": 96.0, 
        "fp32": 1792.0
    }, 
    "radeon r9 m485x": {
        "bw": 160.0, 
        "fp32": 2961.0
    }, 
    "radeon r9 nano": {
        "bw": 512.0, 
        "fp32": 8192.0, 
        "fp64": 512.0
    }, 
    "radeon rx 460": {
        "bw": 112.0, 
        "fp32": 1953.0, 
        "fp64": 122.0
    }, 
    "radeon rx 470": {
        "bw": 211.2, 
        "fp32": 3793.0, 
        "fp64": 237.0
    }, 
    "radeon rx 470d": {
        "bw": 224.0, 
        "fp32": 3319.0, 
        "fp64": 207.0
    }, 
    "radeon rx 480": {
        "bw": 256.0, 
        "fp32": 5161.0, 
        "fp64": 323.0
    }, 
    "radeon rx 540": {
        "bw": 96.0, 
        "fp32": 1248.0
    }, 
    "radeon rx 550": {
        "bw": 112.0, 
        "fp32": 1126.0
    }, 
    "radeon rx 560": {
        "bw": 112.0, 
        "fp32": 2406.0
    }, 
    "radeon rx 560d": {
        "bw": 112.0, 
        "fp32": 1953.0, 
        "fp64": 122.0
    }, 
    "radeon rx 570": {
        "bw": 224.0, 
        "fp32": 4784.0
    }, 
    "radeon rx 580": {
        "bw": 256.0, 
        "fp32": 5792.0
    }, 
    "radeon rx vega 56": {
        "bw": 410.0, 
        "fp16": 16572.0, 
        "fp32": 8286.0, 
        "fp64": 518.0
    }, 
    "radeon rx vega 64": {
        "bw": 483.8, 
        "fp16": 20431.0, 
        "fp32": 10215.0, 
        "fp64": 638.0
    }, 
    "radeon rx vega 64 liquid": {
        "bw": 483.8, 
        "fp16": 23036.0, 
        "fp32": 11518.0, 
        "fp64": 720.0
    }, 
    "radeon sky 500": {
        "bw": 153.6, 
        "fp32": 2432.0, 
        "fp64": 152.0
    }, 
    "radeon sky 700": {
        "bw": 264.0, 
        "fp32": 3225.6, 
        "fp64": 806.4
    }, 
    "radeon sky 900": {
        "bw": 240.0, 
        "fp32": 5913.6, 
        "fp64": 1478.4
    }, 
    "radeon vega frontier edition": {
        "bw": 483.8, 
        "fp16": 22643.0, 
        "fp32": 11321.0, 
        "fp64": 707.6
    }, 
    "rsx": {
        "bw": 22.4, 
        "fp32": 400.4
    }, 
    "s1070 gpu computing server \"400 configuration\"": {
        "bw": 4.0, 
        "fp32": 3732.5, 
        "fp64": 311.0
    }, 
    "s1070 gpu computing server \"500 configuration\"": {
        "bw": 4.0, 
        "fp32": 4147.2, 
        "fp64": 345.6
    }, 
    "s1075 gpu computing server": {
        "bw": 4.0, 
        "fp32": 4147.2, 
        "fp64": 345.6
    }, 
    "s2050 gpu computing server": {
        "bw": 4.0, 
        "fp32": 4121.6, 
        "fp64": 2060.8
    }, 
    "s2070 gpu computing server": {
        "bw": 4.0, 
        "fp32": 4121.6, 
        "fp64": 2060.8
    }, 
    "s870 gpu computing server": {
        "bw": 4.0, 
        "fp32": 2073.6
    }, 
    "scorpio engine": {
        "bw": 326.0, 
        "fp32": 6000.6
    }, 
    "stream processor": {
        "bw": 83.2, 
        "fp32": 375.0
    }, 
    "tesla c1060": {
        "bw": 102.4, 
        "fp32": 622.1
    }, 
    "tesla c870": {
        "bw": 76.8, 
        "fp32": 345.6
    }, 
    "tesla d870": {
        "bw": 76.8, 
        "fp32": 345.6
    }, 
    "tesla m1060": {
        "bw": 102.4, 
        "fp32": 622.1
    }, 
    "tesla s1070": {
        "bw": 102.4, 
        "fp32": 622.1
    }, 
    "tesla s1075": {
        "bw": 102.4, 
        "fp32": 622.1
    }, 
    "tesla s870": {
        "bw": 76.8, 
        "fp32": 345.6
    }, 
    "tesla t10 processor": {
        "bw": 102.4, 
        "fp32": 622.1
    }, 
    "titan x": {
        "bw": 480.0, 
        "fp16": 159.0, 
        "fp32": 10157.0, 
        "fp64": 317.0
    }, 
    "titan xp": {
        "bw": 547.7, 
        "fp16": 177.0, 
        "fp32": 11366.0, 
        "fp64": 355.0
    }, 
    "v100 gpu accelerator": {
        "bw": 900.0, 
        "fp32": 14899.0, 
        "fp64": 7450.0
    }, 
    "wii u gpu": {
        "bw": 12.8, 
        "fp32": 352.0
    }, 
    "xbox 360 gpu": {
        "bw": 22.4, 
        "fp32": 240.0
    }, 
    "xenos": {
        "bw": 22.4, 
        "fp32": 240.0
    }, 
    "xeon phi 3110x": {
        "bw": 320.0, 
        "fp64": 1028.0
    }, 
    "xeon phi 3120a": {
        "bw": 240.0, 
        "fp32": 501.6, 
        "fp64": 1003.0
    }, 
    "xeon phi 3120p": {
        "bw": 240.0, 
        "fp64": 1003.0
    }, 
    "xeon phi 31s1p": {
        "bw": 320.0, 
        "fp64": 1003.0
    }, 
    "xeon phi 5110p": {
        "bw": 320.0, 
        "fp32": 505.4, 
        "fp64": 1011.0
    }, 
    "xeon phi 5120d": {
        "bw": 352.0, 
        "fp32": 505.4, 
        "fp64": 1011.0
    }, 
    "xeon phi 7110p": {
        "bw": 352.0, 
        "fp64": 1220.0
    }, 
    "xeon phi 7110x": {
        "bw": 352.0, 
        "fp64": 1220.0
    }, 
    "xeon phi 7120a": {
        "bw": 352.0, 
        "fp64": 1208.0
    }, 
    "xeon phi 7120d": {
        "bw": 352.0, 
        "fp64": 1208.0
    }, 
    "xeon phi 7120p": {
        "bw": 352.0, 
        "fp32": 650.5, 
        "fp64": 1208.0
    }, 
    "xeon phi 7120x": {
        "bw": 352.0, 
        "fp32": 650.5, 
        "fp64": 1208.0
    }, 
    "xeon phi se10p": {
        "bw": 352.0, 
        "fp64": 1074.0
    }, 
    "xeon phi se10x": {
        "bw": 352.0, 
        "fp32": 536.8, 
        "fp64": 1074.0
    }, 
    "xgpu": {
        "bw": 5.34, 
        "fp32": 5.8
    }
}
"""
Device informations.

Keys are
    bw:   Global Memory Bandwidth in GB/s
    fp16: Peak half-precision   floating point operations per second in GFLOPs
    fp32: Peak single-precision floating point operations per second in GFLOPs
    fp64: Peak double-precision floating point operations per second in GFLOPs
"""
