
from hysop.tools.types import check_instance
from hysop.backend.device.opencl.opencl_allocator import OpenClAllocator
from hysop.backend.device.opencl.opencl_buffer import OpenClPooledBuffer
from hysop.core.memory.mempool import MemoryPool

class OpenClMemoryPool(MemoryPool,OpenClAllocator):
    
    def __init__(self, allocator, **kwds):
        check_instance(allocator, OpenClAllocator)
        super(OpenClMemoryPool,self).__init__(allocator=allocator, queue=allocator.queue, 
                mem_flags=0, **kwds)

    def _wrap_buffer(self, buf, alloc_sz, size, alignment):
        return OpenClPooledBuffer(pool=self, buf=buf, alloc_sz=alloc_sz, 
                size=size, alignment=alignment)

    def _allocate_impl(self):
        msg='This should not have been called.'
        raise RuntimeError(msg)

    def prefix(self):
        return 'no prefix'
