
from hysop.tools.decorators import debug
from hysop.operator.base.memory_reordering import MemoryReorderingBase
from hysop.backend.device.opencl.opencl_operator import OpenClOperator, op_apply

class OpenClMemoryReordering(MemoryReorderingBase, OpenClOperator):
    """
    Inplace and out of place field transposition and permutations in general.
    Uses basic numpy transposition facility.
    """

    @debug
    def __new__(cls, **kwds):
        return super(OpenClMemoryReordering, cls).__new__(cls, **kwds)

    @debug
    def __init__(self, **kwds):
        """Initialize a MemoryReordering operator on the opencl backend."""
        super(OpenClMemoryReordering, self).__init__(**kwds)
        msg='FATAL ERROR: OpenClMemoryReordering has been deprecated.'
        raise RuntimeError(msg)

    @op_apply
    def apply(self, **kwds):
        """MemoryReordering is a no-op."""
        super(OpenClMemoryReordering,self).apply(**kwds)
        pass

    def check_dfield_memory_order(self, dfield):
        # force no checks
        pass
