
from hysop.tools.decorators import debug
from hysop.core.graph.graph import op_apply
from hysop.operator.base.min_max import MinMaxFieldStatisticsBase, \
                                        MinMaxDerivativeStatisticsBase
from hysop.backend.device.opencl.opencl_operator import OpenClOperator
from hysop.backend.device.opencl.operator.derivative import OpenClSpectralSpaceDerivative, \
                                                            OpenClFiniteDifferencesSpaceDerivative


class OpenClMinMaxFieldStatistics(MinMaxFieldStatisticsBase, OpenClOperator):
    """OpenCl implementation backend of operator MinMaxFieldStatistics."""

    @op_apply
    def apply(self, **kwds):
        """See MinMaxFieldStatisticsBase.compute_statistics()."""
        super(OpenClMinMaxFieldStatistics, self).apply(**kwds)
        self.compute_statistics(**kwds)


class OpenClMinMaxSpectralDerivativeStatistics(MinMaxDerivativeStatisticsBase, 
                                               OpenClSpectralSpaceDerivative):
    """OpenCl implementation backend of operator MinMaxSpectralDerivativeStatistics."""
    @op_apply
    def apply(self, **kwds):
        """Compute derivative and than statistics."""
        super(OpenClMinMaxSpectralDerivativeStatistics, self).apply(**kwds)
        self.compute_statistics(**kwds)


class OpenClMinMaxFiniteDifferencesDerivativeStatistics(MinMaxDerivativeStatisticsBase, 
                                                        OpenClFiniteDifferencesSpaceDerivative):
    """OpenCl implementation backend of operator MinMaxFiniteDifferencesDerivativeStatistics."""
    @op_apply
    def apply(self, **kwds):
        """Compute derivative and than statistics."""
        super(OpenClMinMaxFiniteDifferencesDerivativeStatistics, self).apply(**kwds)
        self.compute_statistics(**kwds)
