
from abc import ABCMeta, abstractmethod

class HardwareBackend(object, metaclass=ABCMeta):

    def __init__(self, hardware_topo, **kargs):
        super(HardwareBackend,self).__init__(**kargs)
        self._platforms = {}
        self._discover_platforms(hardware_topo)

    @property
    def platforms(self):
        return self._platforms

    @abstractmethod
    def _discover_platforms(self, hardware_topo):
        pass
