
from abc import ABCMeta
from hysop.tools.decorators  import debug
from hysop.operator.directional.directional import DirectionalOperatorBase
from hysop.backend.host.host_operator import HostOperator

class HostDirectionalOperator(DirectionalOperatorBase, HostOperator, metaclass=ABCMeta):
    """
    Abstract class for discrete directional operators working on host backends.

    Field requirements are set such that the current direction will
    be contiguous in memory.
    """

    @debug
    def __init__(self, **kwds):
        """
        Create a directional operator in a given direction, Host version.
        """
        super(HostDirectionalOperator,self).__init__(**kwds)
