
from hysop.tools.types import check_instance
from hysop.backend.host.host_allocator import HostAllocator
from hysop.backend.host.host_buffer import HostPooledBuffer
from hysop.core.memory.mempool import MemoryPool

class HostMemoryPool(MemoryPool, HostAllocator):

    def __new__(cls, allocator, **kwds):
        return super(HostMemoryPool, cls).__new__(cls, allocator=allocator, **kwds)

    def __init__(self, allocator, **kwds):
        check_instance(allocator, HostAllocator)
        super(HostMemoryPool,self).__init__(allocator=allocator, **kwds)

    def _wrap_buffer(self, buf, alloc_sz, size, alignment):
        return HostPooledBuffer(pool=self, buf=buf, alloc_sz=alloc_sz,
                size=size, alignment=alignment)
