from hysop.tools.decorators import debug
from hysop.core.graph.graph import op_apply
from hysop.backend.host.host_operator import HostOperator
from hysop.operator.base.integrate import IntegrateBase
import numpy as np


class PythonIntegrate(IntegrateBase, HostOperator):

    @debug
    def __new__(cls, **kwds):
        return super(PythonIntegrate, cls).__new__(cls, **kwds)

    @debug
    def __init__(self, **kwds):
        super(PythonIntegrate, self).__init__(**kwds)
        assert self.expr is None, "expr not yet implemented for Python backend (see opencl integrate operator)"

    @op_apply
    def apply(self, **kwds):
        value = self.parameter._value.copy()
        for i in range(self.dF.nb_components):
            Pi = np.sum(self.dF.data[i][self.dF.compute_slices])
            if (self.scaling_coeff[i] is None):
                self.scaling_coeff[i] = 1.0 / Pi
            value[i] = self.scaling_coeff[i] * Pi

        # compute value from all processes
        self.parameter.value = self._collect(value)
