import numpy as np

from hysop.tools.decorators import debug, profile
from hysop.backend.host.host_operator import HostOperator
from hysop.operator.base.memory_reordering import MemoryReorderingBase
from hysop.core.graph.graph import op_apply

class PythonMemoryReordering(MemoryReorderingBase, HostOperator):
    """
    Inplace and out of place field transposition and permutations in general.
    Uses basic numpy transposition facility.
    """

    @debug
    def __new__(cls, **kwds):
        return super(PythonMemoryReordering, cls).__new__(cls, **kwds)

    @debug
    def __init__(self, **kwds):
        """Initialize a MemoryReordering operator on the python backend."""
        super(PythonMemoryReordering, self).__init__(**kwds)

    @op_apply
    def apply(self, **kwds):
        """MemoryReordering is a no-op."""
        super(PythonMemoryReordering,self).apply(**kwds)
        pass
