
import sympy as sm
from hysop.tools.sympy_utils import Symbol, Dummy, Expr, AppliedUndef, UndefinedFunction
from hysop.tools.sympy_utils import subscript, subscripts, xsymbol, freq_symbol

class TimeSymbol(Dummy):
    """Tag for space symbols."""
    pass

class SpaceSymbol(Dummy):
    """Tag for space symbols."""
    pass

time_symbol = TimeSymbol('t')
"""Dummy symbol representing time."""

dtime_symbol = TimeSymbol('dt')
"""Dummy symbol representing infinitesimal time."""

space_symbols = tuple(SpaceSymbol(
    name='x{}'.format(i),
    pretty_name=xsymbol+subscript(i),
    var_name='x{}'.format(i),
    latex_name='x_{{{}}}'.format(i))
        for i in range(16))
"""Dummy symbols representing space."""

freq_symbols = tuple(SpaceSymbol(
    name='nu{}'.format(i),
    pretty_name=freq_symbol+subscript(i),
    var_name='nu{}'.format(i),
    latex_name='{{\nu}}_{{{}}}'.format(i))
        for i in range(16))
"""Dummy symbols representing wave numbers."""

dspace_symbols = tuple(SpaceSymbol(
    name='dx_{}'.format(i),
    pretty_name='d'+xsymbol+subscript(i),
    var_name='dx_{}'.format(i),
    latex_name='dx_{{{}}}'.format(i))
        for i in range(16))
"""Dummy symbols representing space infinitesimals."""

local_indices_symbols = tuple(SpaceSymbol(
    name = 'i{}'.format(i),
    pretty_name='i'+subscript(i),
    var_name='i{}'.format(i),
    latex_name='i_{{{}}}'.format(i))
        for i in range(16))
"""Dummy symbols local array indices."""

global_indices_symbols = tuple(SpaceSymbol(
    name = 'I{}'.format(i),
    pretty_name='I'+subscript(i),
    var_name='I{}'.format(i),
    latex_name='I_{{{}}}'.format(i))
        for i in range(16))
"""Dummy symbols global array indices."""
