
from hysop.symbolic.base import SymbolicScalar
class TmpScalar(SymbolicScalar):
    """Temporary scalar variables."""
    def __new__(cls, *args, **kwds):
        if ('dtype' not in kwds):
            msg='dtype has not been specified for TmpScalar {}.'
            msg=msg.format(kwds.get('name','unknown'))
            raise RuntimeError(msg)
        dtype = kwds.pop('dtype')
        obj = super(TmpScalar,cls).__new__(cls, *args, **kwds)
        obj._dtype = dtype
        return obj

    @property
    def dtype(self):
        return self._dtype

    @property
    def ctype(self):
        from hysop.backend.device.codegen.base.variables import dtype_to_ctype
        return dtype_to_ctype(self._dtype)
