import hashlib
import numpy as np

def hash_communicator(comm, h=None):
    from hysop.core.mpi import processor_hash
    phashes = comm.allgather(processor_hash)
    s = '{}[{}]'.format(comm.Get_size(),
            ','.join(str(phash) for phash in phashes))
    if h is not None:
        h.update(s)
    else:
        return s

def hash_nd_array(array, h=None):
    if h is None:
        h = hashlib.sha1()
    h.update(array.view(np.uint8))
    return h.hexdigest()

def hash_id(obj, length=4):
    return hashlib.sha1(str(id(obj))).hexdigest()[:length]

